<?php
/**
 * Championship administration panel
 *
 */
 namespace ns;
?>
<script type='text/javascript'>
	jQuery(function() {
		jQuery("#tabs").tabs({
			activate: function(event ,ui){
				jQuery(".jquery_ui_tab_index").val(ui.newTab.index());
			},
			active: <?php echo $tab ?>
		});
	});
</script>

<div class="wrap">
	<div class="alignright championship-groups">
		<form action="admin.php" method="get">
			<input type="hidden" name="page" value="<?php echo htmlspecialchars($_GET['page']) ?>" />
			<input type="hidden" name="subpage" value="<?php echo htmlspecialchars($_GET['subpage']) ?>" />
			<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
			<select name="group" size="1">
			<?php foreach ( $league->championship->getGroups() AS $key => $g ) : ?>
				<option value="<?php echo $g ?>"<?php selected($g, $league->getGroup()) ?>><?php printf(__('Group %s','leaguemanager'), $g) ?></option>
			<?php endforeach; ?>
			</select>
			<input type="hidden" name="jquery-ui-tab" value="<?php echo $tab ?>" class="jquery_ui_tab_index" />
			<input type="submit" class="button-secondary" value="<?php _e( 'Show', 'leaguemanager' ) ?>" />
		</form>
	</div>
	
	<div id="tabs" class="championship-blocks clear">
		<ul class="tablist" style="display: none">
			<li><a href="#finalresults"><?php _e( 'Final Results', 'leaguemanager' ) ?></a></li>
			<li><a href="#finals"><?php _e( 'Finals', 'leaguemanager' ) ?></a></li>
			<li><a href="#preliminary"><?php _e( 'Preliminary Rounds', 'leaguemanager' ) ?></a></li>
		</ul>
		
		<div id="finalresults" class="championship-block-container">
		<h2><?php _e( 'Final Results', 'leaguemanager' ) ?></h2>
			<div class="championship-block">
				<table class="widefat wp-list-table matchtable finals">
				<thead>
				<tr>
					<th scope="col"><?php _e( 'Round', 'leaguemanager' ) ?></th>
					<th scope="col" colspan="<?php echo ($league->championship->num_teams_first_round > 4) ? 4 : $league->championship->num_teams_first_round; ?>" class="textcenter"><?php _e( 'Matches', 'leaguemanager' ) ?></th>
				</tr>
				<tbody class="form-table">
				<?php foreach ( $league->championship->getFinals() AS $final ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
				<?php $matches = $league->getMatches( array("group" => "", "match_day" => -1, "final" => $final['key'], "orderby" => array("id" => "ASC"), "limit" => false, "reset_query_args" => true)); ?>
					<tr class="<?php echo $class ?>">
						<th scope="row" style="padding-left: 1em;"><strong><?php echo $final['name'] ?></strong></th>
						<?php for ( $i = 1; $i <= $final['num_matches']; $i++ ) : ((isset($matches[0])) ? $match = $matches[$i-1] : 0); ?>
						<?php $colspan = ( $league->championship->num_teams_first_round/2 >= 4 ) ? ceil(4/$final['num_matches']) : ceil(($league->championship->num_teams_first_round/2)/$final['num_matches']); ?>
						<td colspan="<?php echo $colspan ?>" style="text-align: center;">
							<?php if ( isset($match) ) : ?>
							<?php //if ( isset($teams[$match->home_team]) && isset($teams[$match->away_team]) ) : ?>
								<?php if ( $final['key'] == 'final' ) : ?>
								<p><span id="final_home" style="margin-right: 0.5em;"></span><?php echo $match->match_title; ?><span id="final_away" style="margin-left: 0.5em;"></span></p>
								<?php else : ?>
								<p><?php echo $match->match_title; ?></p>
								<?php endif; ?>

								<?php if ( $match->home_points != "" && $match->away_points != "" ) : ?>
									<?php if ( $final['key'] == 'final' ) : ?>
									<?php $field_id = ( $match->winner_id == $match->home_team ) ? "final_home" : "final_away"; ?>
									<script type="text/javascript">
										<?php $img = '<img style="vertical-align: middle;" src="'.LEAGUEMANAGER_URL . '/admin/icons/cup.png" />'; ?>
										jQuery('span#<?php echo $field_id ?>').html('<?php echo addslashes_gpc($league->championship->cup_icon) ?>').fadeIn('fast');
									</script>
									<?php endif; ?>

									<p><strong><?php echo $match->score ?></strong></p>
								<?php else : ?>
									<p>-:-</p>
								<?php endif; ?>
							<?php //else : ?>
								<!--&#8211;-->
							<?php //endif; ?>

							<?php endif; ?>
						</td>
						<?php if ( $i%4 == 0 && $i < $final['num_matches'] ) : ?>
						</tr><tr class="<?php echo $class ?>"><th>&#160;</th>
						<?php endif; ?>

						<?php endfor; ?>
					</tr>
				<?php endforeach ?>
				</tbody>
				</table>
			</div>
		</div>
		
		<div id="finals" class="championship-block-container">
			<h2><?php printf(__( 'Finals &#8211; %s', 'leaguemanager' ), $league->championship->getFinalName()) ?></h2>
			<div class="championship-block">			
				<div class="tablenav">
				<form action="admin.php" method="get" style="display: inline;">
					<input type="hidden" name="page" value="<?php echo htmlspecialchars($_GET['page']) ?>" />
					<input type="hidden" name="subpage" value="<?php echo htmlspecialchars($_GET['subpage']) ?>" />
					<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />

					<select size="1" name="final" id="final">
						<?php foreach ( $league->championship->getFinals() AS $final ) : ?>
						<option value="<?php echo $final['key'] ?>"<?php selected($league->championship->getCurrentFinalKey(), $final['key']) ?>><?php echo $final['name'] ?></option>	
						<?php endforeach; ?>
					</select>
					<input type="hidden" name="jquery-ui-tab" value="<?php echo $tab ?>" class="jquery_ui_tab_index" />
					<input type="submit" class="button-secondary" value="<?php _e( 'Show', 'leaguemanager' ) ?>" />
				</form>
				<form action="admin.php" method="get" style="display: inline;">
					<input type="hidden" name="page" value="<?php echo htmlspecialchars($_GET['page']) ?>" />
					<input type="hidden" name="subpage" value="match" />
					<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />

					<!-- Bulk Actions -->
					<select name="mode" size="1">
						<option value="-1" selected="selected"><?php _e('Actions', 'leaguemanager') ?></option>
						<option value="add"><?php _e('Add Matches', 'leaguemanager')?></option>
						<option value="edit"><?php _e( 'Edit Matches', 'leaguemanager' ) ?></option>
					</select>

					<select size="1" name="final" id="final1">
					<?php foreach ( $league->championship->getFinals() AS $final ) : ?>
						<option value="<?php echo $final['key'] ?>"><?php echo $final['name'] ?></option>
					<?php endforeach; ?>
					</select>
					<input type="hidden" name="jquery-ui-tab" value="<?php echo $tab ?>" class="jquery_ui_tab_index" />
					<input type="submit" class="button-secondary" value="<?php _e( 'Go', 'leaguemanager' ) ?>" />
				</form>
				</div>

				<?php $final = $league->championship->getFinals('current'); ?>
				<?php $matches = $league->getMatches( array("group" => "", "match_day" => -1, "final" => (!empty($final['key']) ? $final['key'] : '' ), "orderby" => array("id" => "ASC"), "limit" => false, "reset_query_args" => true) ); ?>

				<form method="post" action="">
				<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
				<input type="hidden" name="round" value="<?php echo $final['round'] ?>" />
				<input type="hidden" name="jquery-ui-tab" value="<?php echo $tab ?>" class="jquery_ui_tab_index" />
				
				<table class="widefat wp-list-table matchtable">
				<thead>
				<tr>
					<th>#</th>
					<th><?php _e( 'Date','leaguemanager' ) ?></th>
					<th style="text-align: center;"><?php _e( 'Match','leaguemanager' ) ?></th>
					<th><?php _e( 'Location','leaguemanager' ) ?></th>
					<th><?php _e( 'Begin','leaguemanager' ) ?></th>
					<?php $league->displayMatchesHeader(); //do_action( 'matchtable_header_'.$league->sport ); ?>
					<th style="text-align: center;"><?php _e( 'Score', 'leaguemanager' ) ?></th>
					<th scope="col" class="manage-column column-status"><?php _e( 'Status', 'leaguemanager' ) ?></th>
					<?php do_action('matchtable_header'); ?>
				</tr>
				</thead>
				<tbody id="the-list-<?php echo $final['key'] ?>" class="form-table">
				<?php for ( $i = 1; $i <= ( isset($final['num_matches']) ? $final['num_matches'] : 0 ); $i++ ) : $match = ( isset($matches[0]) ) ? $matches[$i-1] : false; ?>
					<?php if ($match) : ?>
						<?php $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
						<tr class="<?php echo $class ?>">
							<td><?php echo $i ?><input type="hidden" name="matches[<?php echo $match->id ?>]" value="<?php echo $match->id ?>" /><input type="hidden" name="home_team[<?php echo $match->id ?>]" value="<?php echo $match->home_team ?>" /><input type="hidden" name="away_team[<?php echo $match->id ?>]" value="<?php echo $match->away_team ?>" /></td>
							<td><?php echo $match->match_date ?></td>
							<td style="text-align: center;"><?php echo $match->getTitle() ?></td>
							<td><?php echo ( !empty($match->location) ) ? $match->location : 'N/A' ?></td>
							<td><?php echo $match->start_time ?></td>
							<?php $league->displayMatchesColumns($match); ?>
							<td style="text-align: center;">
								<input class="points" type="text" size="2" style="text-align: center;" id="home_points[<?php echo $match->id ?>]" name="home_points[<?php echo $match->id ?>]" value="<?php echo $match->home_points ?>" /> : <input class="points" type="text" size="2" style="text-align: center;" id="away_points[<?php echo $match->id ?>]" name="away_points[<?php echo $match->id ?>]" value="<?php echo $match->away_points ?>" />
							</td>
							<td class="column-status column-input" data-colname="<?php _e('Status', 'leaguemanager') ?>">
								<select size="1" name="status[<?php echo $match->id ?>]">
								<?php foreach ( $match->getStatusOptions() AS $key => $value ) : ?>
									<option value="<?php echo $key ?>" <?php selected( $key, $match->status ); ?>><?php echo $value ?></option>
								<?php endforeach; ?>
								</select>
							</td>
							<?php do_action('matchtable_columns', $match); ?>
						</tr>
					<?php endif; ?>
				<?php endfor; ?>
				</tbody>
				</table>

				<p class="submit"><input type="submit" name="updateFinalResults" value="<?php _e( 'Save Results','leaguemanager' ) ?>" class="button-primary" /></p>
				</form>
			</div>
		</div>
		
		<div id='preliminary' class="championship-block-container">
			<h2><?php _e( 'Preliminary Rounds', 'leaguemanager' ) ?></h2>
			<div class="championship-block">
				<form action="" method="post" style="display: inline;">
					<input type="hidden" name="jquery-ui-tab" value="1" />
					<p><?php _e( 'After the preliminary rounds are complete carefully check your results and then ', 'leaguemanager' ) ?><input type="submit" class="button-secondary" value="<?php _e( 'Proceed to Final Rounds', 'leaguemanager' ) ?>" name="startFinals" /> <?php _e( 'Afterwards changes to preliminary results will NOT affect the final results', 'leaguemanager' ) ?></p>
				</form>
					
				<div class="alignright">
					<form action="admin.php" method="get" style="display: inline;">
						<input type="hidden" name="page" value="<?php echo htmlspecialchars($_GET['page']) ?>" />
						<input type="hidden" name="subpage" value="<?php echo htmlspecialchars($_GET['subpage']) ?>" />
						<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />

						<select name="group" size="1">
						<?php foreach ( $league->groups AS $key => $g ) : ?>
						<option value="<?php echo $g ?>"<?php selected($g, $league->getGroup()) ?>><?php printf(__('Group %s','leaguemanager'), $g) ?></option>
						<?php endforeach; ?>
						</select>
						<input type="hidden" name="jquery-ui-tab" value="<?php echo $tab ?>" class="jquery_ui_tab_index" />
						<input type="submit" class="button-secondary" value="<?php _e( 'Show', 'leaguemanager' ) ?>" />
					</form>
				</div>

				<?php $teams = $league->getTeams( array("group" => $league->getGroup()) ); ?>
				<h3><?php printf(__( 'Table &#8211; Group %s', 'leaguemanager' ), $league->getGroup()) ?></h3>
				<?php include('standings.php'); ?>
				
				<?php $matches = $league->getMatches( array("final" => '', "group" => $league->getGroup()) ); ?>
				<h3><?php printf(__( 'Match Plan &#8211; Group %s','leaguemanager' ), $league->getGroup()) ?></h3>
				<?php include('matches.php'); ?>

				<?php $matches = $league->getMatches( array("final" => '', "group" => 'empty') ); ?>
				<?php if ( $matches ) : ?>
				<h3><?php _e( 'Inter Group Matches', 'leaguemanager' ) ?></h3>
				<?php include('matches.php'); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>