<?php
/**
 * Crosstable administration
 *
 */
 namespace ns;
?>
<table class='widefat wp-list-table leagues crosstable' summary='' title='<?php _e( 'Crosstable', 'leaguemanager' ) ?> <?php echo $league->title ?>'>
<thead>
<tr>
	<th class="manage-column column-primary column-title"><?php _e( 'Club', 'leaguemanager' ) ?></th>
	<th class="manage-column column-rank">&#160;</th>
	<?php for ( $i = 1; $i <= count($teams); $i++ ) : ?>
	<th class="num textcenter manage-column"><?php echo $i ?></th>
	<?php endfor; ?>
</tr>
</thead>
<tbody>
<?php foreach ( $teams AS $rank => $team ) : ?>
<tr class="<?php echo $team->class ?>">
	<td class="column-primary column-title" data-colname="<?php _e( 'Club', 'leaguemanager' ) ?>">
		<?php if ( $team->logo != '' ) : ?>
		<img src='<?php echo $team->getImageUrl($team->logo, 'tiny') ?>' alt='<?php _e('Logo','leaguemanager') ?>' title='<?php _e('Logo','leaguemanager')." ".$team->title ?>' />
		<?php endif; ?>
		<?php echo $team->title ?>
		<button class="toggle-row" type="button"></button>
	</td>
	<td scope='row' class='num rank column-rank' data-colname=""><?php echo $rank + 1 ?></td>
	<?php for ( $i = 0; $i < count($teams); $i++ ) : ?>
	<td class='num textcenter' data-colname="<?php echo strip_tags($teams[$i]->title) ?>"><?php echo $league->getCrosstableField($team->id, $teams[$i]->id, $team->home); ?></td>
	<?php endfor; ?>
</tr>
<?php endforeach; ?>
</tbody>
</table>