<?php
/**
 * LeagueManager Documentation
 *
 */

if ( !current_user_can( 'league_manager' ) ) : 
	echo '<p style="text-align: center;">'.__("You do not have sufficient permissions to access this page.").'</p>';
else :
?>

<div class="wrap leaguemanager_documentation">
	<h1 id="top"><?php _e( 'LeagueManager Documentation', 'leaguemanager' ) ?></h1>

	<div class="documentation-blocks jquery-ui-accordion" id="">
		
		<ul id="tablist" style="display: none;">
			<li><a href="#shortcodes"><?php _e( 'Shortcodes', 'leaguemanager' ) ?></a></li>
			<li><a href="#templates"><?php _e( 'Templates', 'leaguemanager' ) ?></a></li>
			<li><a href="#import"><?php _e( 'Data Import', 'leaguemanager' ) ?></a></li>
			<li><a href="#slideshows"><?php _e( 'Slideshows', 'leaguemanager' ) ?></a></li>
			<li><a href="#projectmanager-extensions"><?php _e( 'ProjectManager Extensions', 'leaguemanager' ) ?></a></li>
			<li><a href="#template_tags"><?php _e( 'Template Tags', 'leaguemanager' ) ?></a></li>
			<li><a href="#settings"><?php _e( 'League Settings', 'leaguemanager' ) ?></a></li>
			<li><a href="#customization"><?php _e( 'Customization', 'leaguemanager' ) ?></a></li>
			<li><a href="#howto_intro"><?php _e( 'Howto', 'leaguemanager' ) ?></a></li>
			<li><a href="#racing"><?php _e( 'Setup Racing Sports', 'leaguemanager' ) ?></a></li>
		</ul>
	
		<div id='shortcodes'>
			<h2><?php _e( 'Shortcodes', 'leaguemanager' ) ?></h2>

			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				
				<!-- Shortcode for Standings table -->
				<p><?php _e( 'The standings table of a league is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[standings league_id=ID]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'league_id', 'desc' => __('ID of League', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'season', 'desc' => __('display standings of specific season (default is last season)', 'leaguemanager'), 'values' => '<em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'logo', 'desc' => __('toggle dislay of Team Logos', 'leaguemanager'), 'values' => '<em>boolean</em>', 'default' => 'true', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be standings-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'group', 'desc' => __('specific group', 'leaguemanager'), 'values' => '<em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<!-- Shortcode for Matches table -->
				<p><?php _e( 'The matches table of a league is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[matches league_id=ID]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'league_id', 'desc' => __('ID of League', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'season', 'desc' => __('display standings of specific season (default is last season)', 'leaguemanager'), 'values' => '<em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'team', 'desc' => __('display only matche of given Team ID', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => 'true', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be matches-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'mode', 'desc' => __('control which matches to display', 'leaguemanager'), 'values' => '<em>all</em>, <em>home</em>, <em>racing</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'roster', 'desc' => __('Only works with Racing. Display race results for given racer. Can be either ID or name, but ID is recommended.', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'match_day', 'desc' => __('display matches of given match day. Alternatively use <em>next</em>, <em>last</em> or <em>current/latest</em>', 'leaguemanager'), 'values' => '<em>integer</em> or <em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'group', 'desc' => __('get matches of specific group', 'leaguemanager'), 'values' => '<em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'time', 'desc' => __('use this to get either upcoming (next) or previous (prev) matches', 'leaguemanager'), 'values' => '<em>next</em>, <em>prev</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'show_match_day_selection', 'desc' => __('force showing or hiding dropdown for match days', 'leaguemanager'), 'values' => '<em>true</em>, <em>false</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'show_team_selection', 'desc' => __('force showing or hiding dropdown for teams', 'leaguemanager'), 'values' => '<em>true</em>, <em>false</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<!-- Shortcode for Crosstable -->
				<p><?php _e( 'The crosstable of a league is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[crosstable league_id=ID]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'league_id', 'desc' => __('ID of League', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'season', 'desc' => __('display crosstable of specific season (default is last season)', 'leaguemanager'), 'values' => '<em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'embed', 'desc' => __('embed table in page or display a link to open it in a thickbox popup window', 'leaguemanager'), 'values' => '<em>embed</em> or <em>popup</em>', 'default' => 'embed', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be crosstable-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<!-- Shortcode for single match -->
				<p><?php _e( 'A single match is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[match id=ID template=X]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'id', 'desc' => __('ID of match', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be match-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<!-- Shortcode for teams -->
				<p><?php _e( 'A teams list of a league is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[teams league_id=ID]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'league_id', 'desc' => __('ID of league', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'season', 'desc' => __('display teams of specific season (default is last season)', 'leaguemanager'), 'values' => '<em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be teams-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<!-- Shortcode for single team -->
				<p><?php _e( 'A single team is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[team id=ID template=X]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'id', 'desc' => __('ID of team', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be team-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<!-- Shortcode for Championship -->
				<p><?php _e( 'A championship league is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[championship league_id=ID]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'league_id', 'desc' => __('ID of league', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'season', 'desc' => __('display teams of specific season (default is last season)', 'leaguemanager'), 'values' => '<em>string</em>', 'default' => '', 'optional' => __('Yes', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be championship-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<!-- Shortcode for Archive -->
				<p><?php _e( 'An archive of a league is displayed with', 'leaguemanager' ) ?></p>
				<blockquote><p>[leaguearchive league_id=ID]</p></blockquote>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-parameter column-primary"><?php _e( 'Parameter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-values"><?php _e( 'Possible Values', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-default_values"><?php _e( 'Default', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-optional"><?php _e( 'Optional', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $shortcode = array(
						array( 'parameter' => 'league_id', 'desc' => __('ID of league', 'leaguemanager'), 'values' => '<em>integer</em>', 'default' => '', 'optional' => __('No', 'leaguemanager') ),
						array( 'parameter' => 'template', 'desc' => __('specifies template to use', 'leaguemanager'), 'values' => __('name of template file without extension, whereas the name has to be leaguearchive-X', 'leaguemanager'), 'default' => '', 'optional' => __('Yes', 'leaguemanager') )
					); $class = ''; ?>
					<?php foreach ( $shortcode AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-parameter" data-colname="<?php _e( 'Parameter', 'leaguemanager' ) ?>"><?php echo $value['parameter'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-values" data-colname="<?php _e( 'Possible Values', 'leaguemanager' ) ?>"><?php echo $value['values'] ?></td>
						<td class="column-default_values" data-colname="<?php _e( 'Default', 'leaguemanager' ) ?>"><?php echo $value['default'] ?></td>
						<td class="column-optional" data-colname="<?php _e( 'Optional', 'leaguemanager' ) ?>"><?php echo $value['optional'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>
			</div>
		</div>

		<div id="templates">
			<h2><?php _e( 'Templates', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				
				<p><?php _e( 'Templates are special files that are used to display plugin data in the website frontend. They reside in the following directory', 'leaguemanager' ) ?></p>
				<blockquote><p>WP_PLUGIN_DIR/leaguemanager/templates/</p></blockquote>
				<p><?php _e( 'The following table lists all available default templates', 'leaguemanager' ) ?></p>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-template column-primary"><?php _e( 'Template', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
					</tr>
					</thead>
					<tbody>
					<?php $templates = array(
						array('template' => 'archive.php', 'desc' => __('Display an archive of LeagueManager.', 'leaguemanager')),
						array('template' => 'championship.php', 'desc' => __('Championship display', 'leaguemanager')),
						array('template' => 'crosstable.php', 'desc' => __('Crosstable', 'leaguemanager')),
						array('template' => 'matches.php', 'desc' => __('Matches output. There exist multiple templates in the format matches-X.php. You can also design custom templates in this form and load them with the attribute template=X in the shortcode. If X is the sport type, this template is loaded automatically without the template attribute', 'leaguemanager')),
						array('template' => 'match.php', 'desc' => __('Individual match. There exist multiple templates in the format match-X.php. You can also design custom templates in this form and load them with the attribute template=X in the shortcode', 'leaguemanager')),
						array('template' => 'teams.php', 'desc' => __('List of teams', 'leaguemanager')),
						array('template' => 'team.php', 'desc' => __('Individual team', 'leaguemanager')),
						array('template' => 'standings.php', 'desc' => __('Standings table. There exist multiple templates in the format standings-X.php. You can also design custom templates in this form and load them with the attribute template=X in the shortcode', 'leaguemanager'))
					); $class = ''; ?>
					<?php foreach ( $templates AS $key => $template ) : $class = ( $class == 'alternate' ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-template" data-colname="<?php _e( 'Template', 'leaguemanager' ) ?>"><?php echo $template['template'] ?><button class="toggle-row" type="button"></button></td>
						<td data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $template['desc'] ?></td>

					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>
				<h3><?php _e('Customization of template files', 'leaguemanager') ?></h3>
				<p><?php _e( 'If you want to modify existing templates copy it to', 'leaguemanager' ) ?></p>
				<blockquote><p>your_theme_dir/leaguemanager/</p></blockquote>
				<p><?php _e( 'The plugin will then first look in your theme directory. Further it is possible to design own templates, e.g. multiple standings templates. Assume you create a template called <strong>standings-sample1.php</strong>. To load this template use the following code.', 'leaguemanager' ) ?></p>
				<blockquote><p>[standings league_id=ID template=<strong>sample1</strong>]</p></blockquote>

				<h3><?php _e('Customization of sport files', 'leaguemanager') ?></h3>
				<p><?php _e( 'If you want to modify existing sports copy it to', 'leaguemanager' ) ?></p>
				<blockquote><p>your_theme_dir/sports/</p></blockquote>
			</div>
		</div>
			
		<div id='import'>
			<h2><?php _e( 'Data Import', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<h3><?php _e( 'Teams', 'leaguemanager' ) ?></h3>
				<p><?php _e( 'Teams and Matches can be imported from tab or csv-separated files, which can be easily created using Excel', 'leaguemanager' ) ?></p>
				<p><?php _e( 'The file to import Teams has the following structure. Read from left-to-right and line-by-line.', 'leaguemanager' ) ?></p>
				<ul class="doc-import-structure">
					<li><?php _e( 'Season','leaguemanager' ) ?></li>
					<li><?php _e( 'Team Name', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Website', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Coach', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Stadium', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Home (0 or 1)', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Group', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Logo', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Played Matches', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Won Matches', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Tie Matches', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Lost Matches', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Points', 'leaguemanager' ) ?> (%d:%d)</li>
					<li><?php _e( 'Roster', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Custom Fields', 'leaguemanager' ) ?> ...</li>
				</ul>
				<p><?php _e( "Only <strong>season</strong> and <strong>team name</strong> are <strong>mandatory</strong>. The logo files need to be uploaded separately to the upload folder set in the league preferences. Although the match statistics and points can be included they are not required and would be overwritten by new match results. The last column can be optionally the team roster, which are the project ID and category ID in the format <em>projectID_catID</em> for <a href='%s'>ProjectManager</a>.", 'leaguemanager' ) ?></p>
				<p><?php _e( 'After the team roster any number of custom fields depending on the sports type can be included. In this case all the above columns have to be present', 'leaguemanager' ) ?></p>

				<?php $team_import_doc = array(
					'baseball' => array(
						'title' => __('Baseball', 'leaguemanager'), 
						'fields' => array(__( 'Runs For', 'leaguemanager' ), __( 'Runs Against', 'leaguemanager' ), __( 'Games Behind', 'leaguemanager' ), __( 'Shutouts', 'leaguemanager' ))
					),
					'gymnastics' => array(
						'title' => __('Gymnastics', 'leaguemanager'), 
						'fields' => array(__( 'Floor', 'leaguemanager' ), __( 'Pommelhorse', 'leaguemanager' ), __( 'Rings', 'leaguemanager' ), __( 'Vault', 'leaguemanager' ), __( 'Parallel bars', 'leaguemanager' ), __( 'High bars', 'leaguemanager' ))
					),
					'pool' => array(
						'title' => __('Pool', 'leaguemanager'), 
						'fields' => array(__( 'For Score', 'leaguemanager' ), __( 'Against Score', 'leaguemanager' ))
					),
					'rugby' => array(
						'title' => __('Rugby', 'leaguemanager'), 
						'fields' => array(__( 'Gamepoints', 'leaguemanager' ))
					),
					'tennis' => array(
						'title' => __('Tennis', 'leaguemanager'), 
						'fields' => array(__( 'Straight Set Win', 'leaguemanager' ), __( 'Split Set Win', 'leaguemanager' ), __( 'Straight Set Lost', 'leaguemanager' ), __( 'Split Set Lost', 'leaguemanager' ), __( 'Games Allowed', 'leaguemanager' ))
					),
					'volleyball' => array(
						'title' => __('Volleyball', 'leaguemanager'), 
						'fields' => array(__( 'Sets', 'leaguemanager' ), __( 'Ballpoints', 'leaguemanager' ))
					)
				); ?>
				<?php foreach ( $team_import_doc AS $sport => $data ) : ?>
				<h4><?php echo $data['title'] ?></h4>
				<ul class="doc-import-structure">
					<?php foreach ( $data['fields'] AS $field ) : ?>
					<li><?php echo $field ?></li>
					<?php endforeach; ?>
				</ul>
				<?php endforeach; ?>
					
				<h3><?php _e( 'Matches', 'leaguemanager' ) ?></h3>
				<p><?php _e( 'The file to import matches has the following structure Read from left-to-right and line-by-line.', 'leaguemanager' ) ?></p>
				<ul class="doc-import-structure">
					<li><?php _e('Date','leaguemanager') ?></li>
					<li><?php _e('Season','leaguemanager') ?></li>
					<li><?php _e('Match Day','leaguemanager') ?></li>
					<li><?php _e('Home Team','leaguemanager') ?></li>
					<li><?php _e('Guest Team','leaguemanager') ?></li>
					<li><?php _e('Location','leaguemanager') ?></li>
					<li><?php _e('Begin Time','leaguemanager') ?> (%d:%d)</li>
					<li><?php _e('Group','leaguemanager') ?></li>
					<li><?php _e('Score','leaguemanager') ?> (%d-%d)</li>
					<li><?php _e('Custom Fields','leaguemanager') ?> ...</li>
				</ul>
				<p><?php _e( 'For matches all columns, except the custom fields have to be present. Any number of custom fields depending on the sports type can be included at the end', 'leaguemanager' ) ?></p>
				
				<?php $match_import_doc = array(
					'baseball' => array(
						'title' => __('Baseball', 'leaguemanager'), 
						'fields' => array(__( 'Runs For', 'leaguemanager' ), __( 'Runs Against', 'leaguemanager' ), __( 'Shutouts', 'leaguemanager' ))
					),
					'basketball' => array(
						'title' => __('Basketball', 'leaguemanager'), 
						'fields' => array(__( 'Quarter 1', 'leaguemanager' ), __( 'Quarter 2', 'leaguemanager' ), __( 'Quarter 3', 'leaguemanager' ), __( 'Quarter 4', 'leaguemanager' ), __( 'Overtime', 'leaguemanager' ))
					),
					'gymnastics' => array(
						'title' => __('Gymnastics', 'leaguemanager'), 
						'fields' => array(__( 'Floor', 'leaguemanager' ), __( 'Pommelhorse', 'leaguemanager' ), __( 'Rings', 'leaguemanager' ), __( 'Vault', 'leaguemanager' ), __( 'Parallel bars', 'leaguemanager' ), __( 'High bars', 'leaguemanager' ), __( 'Apparatus Points', 'leaguemanager' ))
					),
					'hockey' => array(
						'title' => __('Hockey', 'leaguemanager'), 
						'fields' => array(__( 'Third 1', 'leaguemanager' ), __( 'Third 2', 'leaguemanager' ), __( 'Third 3', 'leaguemanager' ), __( 'Overtime', 'leaguemanager' ), __( 'Penalty', 'leaguemanager' ))
					),
					'irish_gaelic_football' => array(
						'title' => __('Irish Gaelic Football', 'leaguemanager'), 
						'fields' => array(__( 'Goals', 'leaguemanager' ), __( 'Points', 'leaguemanager' ))
					),
					'pool' => array(
						'title' => __('Pool', 'leaguemanager'), 
						'fields' => array(__( 'For Score', 'leaguemanager' ), __( 'Against Score', 'leaguemanager' ))
					),
					'racing' => array(
						'title' => __('Racing', 'leaguemanager'), 
						'fields' => array(__( 'Racing Type', 'leaguemanager' ))
					),
					'rugby' => array(
						'title' => __('Rugby', 'leaguemanager'), 
						'fields' => array(__( 'Tries', 'leaguemanager' ), __( 'Conversions', 'leaguemanager' ),__( 'Penalties', 'leaguemanager' ))
					),
					'soccer' => array(
						'title' => __('Soccer', 'leaguemanager'), 
						'fields' => array(__( 'Halftime', 'leaguemanager' ), __( 'Overtime', 'leaguemanager' ),__( 'Penalty', 'leaguemanager' ))
					),
					'tennis' => array(
						'title' => __('Tennis', 'leaguemanager'), 
						'fields' => array(__( 'Set 1', 'leaguemanager' ), __( 'Set 2', 'leaguemanager' ),__( 'Set 3', 'leaguemanager' ), '...')
					),
					'volleyball' => array(
						'title' => __('Volleyball', 'leaguemanager'), 
						'fields' => array(__( 'Set 1', 'leaguemanager' ), __( 'Set 2', 'leaguemanager' ), __( 'Set 3', 'leaguemanager' ), __( 'Set 4', 'leaguemanager' ), __( 'Set 5', 'leaguemanager' ))
					)
				);
				?>
				<?php foreach ( $match_import_doc AS $sport => $data ) : ?>
				<h4><?php echo $data['title'] ?></h4>
				<ul class="doc-import-structure">
					<?php foreach ( $data['fields'] AS $field ) : ?>
					<li><?php echo $field ?></li>
					<?php endforeach; ?>
				</ul>
				<?php endforeach; ?>
			</div>
		</div>
		
		<div id='slideshows'>
			<h2><?php _e( 'Slideshows', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<p><?php printf(__( "Fancy slideshows of previous or upcoming matches can be easily created in combination with the <a href='%s' target='_blank'>Fancy Slideshows Plugin</a>. There are some limitations and specic requirements as listed below", 'leaguemanager' ), 'https://wordpress.org/plugins/sponsors-slideshow-widget/') ?></p>
				<ul style="list-style: disc; margin-left: 1em;">
					<li><?php _e( 'You should set a height for the slideshow as there is no main image to display. Otherwise each slide might have different heights and some content could be not displayed', 'leaguemanager' ) ?></li>
					<li><?php _e( 'You should set the slide overlay to show title & description. The title contains the match title and logos, while the description contains the date, location and score of the match', 'leaguemanager' ) ?></li>
					<li><?php _e( 'Slide overlay animations are not possible so you have to disable them.', 'leaguemanager' ) ?></li>
					<li><?php _e( 'The slide overlay style has to be set to <em>LeagueManager</em>', 'leaguemanager' ) ?></li>
				</ul>
			</div>
		</div>
		
		<div id='projectmanager-extensions'>
			<h2><?php _e( 'ProjectManager Extensions', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<p><?php printf(__( "Team Roster and additional Profiles can be generated using the <a href='%s' target='_blank'>ProjectManager Plugin</a>. This plugin has been specifically developed to manage athlete portraits. If you have ProjectManager installed, each team can be assigned a team roster, i.e. project and possibly category, in the team edit page. Team Profiles can be also extended using ProjectManager. Simply set the project and maybe category in the league settings page. Afterwards you can assign a team profile, i.e. dataset, to each team in the team edit page.", 'leaguemanager' ), 'https://wordpress.org/plugins/projectmanager') ?></p>
			</div>
		</div>
		
		<div id="template_tags">
			<h2><?php _e( 'Template Tags', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<p><?php _e( 'Template Tags are functions that can be used in your Wordpress Theme to display the plugin data. Here is a brief listing of available tags. For details see file functions.php', 'leaguemanager' ) ?><p>
				<dl class="leaguemanager">
					<dt><pre>&lt;?php leaguemanager_standings( $league_id, $args ) ?&gt;</pre></dt><dd><?php _e( 'display standings of given league with $league_id', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_crosstable( $league_id, $args ) ?&gt;</pre></dt><dd><?php _e( 'display crosstable of given league with $league_id', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_matches( $league_id, $args ) ?&gt;</pre></dt><dd><?php _e( 'display matches of given league with $league_id', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_match( $match_id, $args ) ?&gt;</pre></dt><dd><?php _e( 'display match with given $match_id', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_teams( $league_id, $args ) ?&gt;</pre></dt><dd><?php _e( 'display teams of given league with $league_id', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_team( $team_id, $args ) ?&gt;</pre></dt><dd><?php _e( 'display team with given $team_id', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_championship( $league_id, $args ) ?&gt;</pre></dt><dd><?php _e( 'display championship', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_display_widget( $number, $instance ) ?&gt;</pre></dt><dd><?php _e( 'Display widget. <em>$number</em> is the widget number and <em>$instance</em> is an assoziative array of widget settings. See lib/widget.php function widget for details.', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_display_next_match_box( $number, $instance ) ?&gt;</pre></dt><dd><?php _e( 'display box of next matches. <em>$number</em> is the widget number and <em>$instance</em> is an assoziative array of widget settings. See lib/widget.php function widget for details.', 'leaguemanager' ) ?></dd>
					<dt><pre>&lt;?php leaguemanager_display_prev_match_box( $number, $instance ) ?&gt;</pre></dt><dd><?php _e( 'display box of previous matches. <em>$number</em> is the widget number and <em>$instance</em> is an assoziative array of widget settings. See lib/widget.php function widget for details.', 'leaguemanager' ) ?></dd>
				</dl>
				<p><?php _e( 'The variable <em>$args</em> is always an assoziative array of additional arguments with keys being the same as the shortcode attributes.', 'leaguemanager' ) ?></p>
			</div>
		</div>
		
		<div id="settings">
			<h2><?php _e( 'League Settings', 'leaguemanager' ) ?></h2>

			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<h3><?php _e( 'Sport', 'leaguemanager' ) ?></h3>
				<p><?php _e( "The sport type is important to enable certain rules. Gymnastics leagues have apparatus points which other leagues don't, Soccer has Halftime results, while Hocky is played in Thirds and Basketball in Quarters.", 'leaguemanager' ) ?></p>
				<?php do_action( 'leaguemanager_doc_sports' ) ?>

				<h3><?php _e( 'Point Rules', 'leaguemanager' ) ?></h3>
				<p><?php _e( 'The second important option is the point rule, which automatically sets the number of points teams get for won matches, draw matches or lost matches. Some league types have specific rules. See the sections below for details.', 'leaguemanager') ?></p>
					
				<h5><?php _e( 'One-Point-Rule', 'leaguemanager' ) ?></h5>
				<p><?php _e( 'The One-Point-Rule simply counts the number of won matches. This point system is used, e.g. in the MLB, NBA and NFL.', 'leaguemanager' ) ?></p>
					
				<h5><?php _e( 'Two-Point-Rule and Three-Point-Rule', 'leaguemanager' ) ?></h5>
				<p><?php _e( 'The Two- and Three-Point-Rules are the most common ones. Teams get two or three points for won matches respectively and one point for draw.', 'leaguemanager' ) ?></p>

				<h5><?php _e( '<em>Score</em> Point-Rule', 'leaguemanager' ) ?></h5>
				<p><?php _e( 'Teams get one point for each goal scored during a game.', 'leaguemanager' ) ?></p>

				<h5><?php _e( 'User defined', 'leaguemanager' ) ?></h5>
				<p><?php _e( 'User defined points for won, tie and lost matches. Overtime win/loss points does not work with all sport types!', 'leaguemanager' ) ?></p>

				<?php do_action( 'leaguemanager_doc_point_rules' ) ?>

				<h3><?php _e( 'Point Format', 'leaguemanager' ) ?></h3>
				<p><?php _e( 'The point format controls how the points are displayed. Most sports would choose some %d variation which treats the points as integer. Only if a user defined point rule with half points is used, a %f variation has to be used to display the points as floating number.', 'leaguemanager' ) ?></p>
			</div>
		</div>
		
		<div id="customization">
			<h2><?php _e( 'Customization', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<p><?php _e( 'The Plugin is built in a modular way with several Wordpress hooks to make customization as easy as possible. The filters are needed to implement rules for new sport types. I here provide a list of available hooks with a short description. For examples on usage see sports files in the sports subdirectory or lib/stats.php.', 'leaguemanager' ) ?></p>

				<h3><?php _e( 'List of Wordpress Filters', 'leaguemanager' ) ?></h3>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-filter column-primary"><?php _e( 'Filter', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-location"><?php _e( 'Location', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-comments"><?php _e( 'Comments', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $filters = array(
						array( 'name' => 'league_standings_options', 'desc' => __('manipulate standings options menu', 'leaguemanager'), 'location' => 'leaguemanager.php: 346', 'comments' => '' ),
						array( 'name' => 'leaguemanager_sports', 'desc' => __('add a new sport type to the settings selection menu', 'leaguemanager'), 'location' => 'leaguemanager.php: 872', 'comments' => '' ),
						array( 'name' => 'leaguemanager_cards', 'desc' => __('manipulate card types (yellow, red, yellow-red)', 'leaguemanager'), 'location' => 'leaguemanager.php: 894', 'comments' => '' ),
						array( 'name' => 'league_menu_$league->sport', 'desc' => __('manipulate league menu based on current sport type and mode', 'leaguemanager'), 'location' => 'admin/admin.php: 187', 'comments' => '' ),
						array( 'name' => 'league_menu_$league->mode', 'desc' => __('manipulate league menu based on current sport type and mode', 'leaguemanager'), 'location' => 'admin/admin.php: 197', 'comments' => '' ),
						array( 'name' => 'leaguemanager_modes', 'desc' => __('manipulate available modes', 'leaguemanager'), 'location' => 'admin/admin.php: 871', 'comments' => '' ),
						array( 'name' => 'leaguemanager_point_rules_list', 'desc' => __('manipulate List of available point rules', 'leaguemanager'), 'location' => 'admin/admin.php: 891', 'comments' => '' ),
						array( 'name' => 'leaguemanager_point_formats', 'desc' => __('manipulate available point formats', 'leaguemanager'), 'location' => 'admin/admin.php: 912', 'comments' => '' ),
						array( 'name' => 'leaguemanager_import_teams_$league->sport', 'desc' => __('filter custom data for team', 'leaguemanager'), 'location' => 'admin/admin.php: 2052', 'comments' => '' ),
						array( 'name' => 'leaguemanager_import_matches_$league->sport', 'desc' => __('filter custom data for match', 'leaguemanager'), 'location' => 'admin/admin.php: 2147', 'comments' => '' ),
						array( 'name' => 'leaguemanager_export_teams_header_$league->sport', 'desc' => __('append custom header data for team export', 'leaguemanager'), 'location' => 'admin/admin.php: 2328', 'comments' => '' ),
						array( 'name' => 'leaguemanager_export_teams_data_$league->sport', 'desc' => __('append custom data for team export', 'leaguemanager'), 'location' => 'admin/admin.php: 2356', 'comments' => '' ),
						array( 'name' => 'leaguemanager_export_matches_header_$league->sport', 'desc' => __('append custom header data for match export', 'leaguemanager'), 'location' => 'admin/admin.php: 2400', 'comments' => '' ),
						array( 'name' => 'leaguemanager_export_matches_data_$league->sport', 'desc' => __('append custom data for match export', 'leaguemanager'), 'location' => 'admin/admin.php: 2421', 'comments' => '' ),
						array( 'name' => 'leaguemanager_point_rules', 'desc' => __('manipulate point rules', 'leaguemanager'), 'location' => 'lib/league.php: 1628', 'comments' => '' ),
						array( 'name' => 'team_points_$this->sport', 'desc' => __('manipulate team points based on current sport rules', 'leaguemanager'), 'location' => 'lib/league.php: 2374', 'comments' => '' ),
						array( 'name' => 'team_done_matches', 'desc' => __('filter individual teams done matches', 'leaguemanager'), 'location' => 'lib/team.php: 510', 'comments' => '' ),
						array( 'name' => 'team_won_matches', 'desc' => __('filter individual teams won matches', 'leaguemanager'), 'location' => 'lib/team.php: 533', 'comments' => '' ),
						array( 'name' => 'team_draw_matches', 'desc' => __('filter individual teams draw matches', 'leaguemanager'), 'location' => 'lib/team.php: 556', 'comments' => '' ),
						array( 'name' => 'team_lost_matches', 'desc' => __('filter individual teams lost matches', 'leaguemanager'), 'location' => 'lib/team.php: 579', 'comments' => '' )
					); $class = ''; ?>
					<?php foreach ( $filters AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-filter" data-colname="<?php _e( 'Filter', 'leaguemanager' ) ?>"><?php echo $value['name'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-location" data-colname="<?php _e( 'Location', 'leaguemanager' ) ?>"><?php echo $value['location'] ?></td>
						<td class="column-comments" data-colname="<?php _e( 'Comments', 'leaguemanager' ) ?>"><?php echo $value['comments'] ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				</table>

				<h3><?php _e( 'List of Wordpress Actions', 'leaguemanager' ) ?></h3>
				<table class="widefat wp-list-table leaguemanager">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-action column-primary"><?php _e( 'Action', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-description"><?php _e( 'Description', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-location"><?php _e( 'Location', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-comments"><?php _e( 'Comments', 'leaguemanager' ) ?></th>
					</tr>
				</thead>
				<tbody>
				<?php $filters = array(
					array( 'name' => 'add_league', 'desc' => __('fired when new league is added', 'leaguemanager'), 'location' => 'admin/admin.php: 987', 'comments' => '' ),
					array( 'name' => 'edit_league_settings', 'desc' => __('fired when league settings are saved', 'leaguemanager'), 'location' => 'admin/admin.php: 1061', 'comments' => '' ),
					array( 'name' => 'del_league', 'desc' => __('fired when a league is deleted', 'leaguemanager'), 'location' => 'admin/admin.php: 1103', 'comments' => '' ),
					array( 'name' => 'save_season', 'desc' => __('fired when a season is saved', 'leaguemanager'), 'location' => 'admin/admin.php: 1171', 'comments' => '' ),
					array( 'name' => 'add_team', 'desc' => __('fired when a team is added', 'leaguemanager'), 'location' => 'admin/admin.php: 1262', 'comments' => '' ),
					array( 'name' => 'edit_team', 'desc' => __('fired when a team is modified', 'leaguemanager'), 'location' => 'admin/admin.php: 1328', 'comments' => '' ),
					array( 'name' => 'del_team', 'desc' => __('fired when a team is deleted', 'leaguemanager'), 'location' => 'admin/admin.php: 1360', 'comments' => '' ),
					array( 'name' => 'add_match', 'desc' => __('fired when a match is added', 'leaguemanager'), 'location' => 'admin/admin.php: 1706', 'comments' => '' ),
					array( 'name' => 'edit_match', 'desc' => __('fired when a match is modified', 'leaguemanager'), 'location' => 'admin/admin.php: 1750', 'comments' => '' ),
					array( 'name' => 'del_match', 'desc' => __('fired when a match is deleted', 'leaguemanager'), 'location' => 'admin/admin.php: 1778', 'comments' => '' ),
					array( 'name' => 'matchtable_columns', 'desc' => __('extend matchtable columns', 'leaguemanager'), 'location' => 'admin/championship.php: 173', 'comments' => '' ),
					array( 'name' => 'leaguemanager_edit_match_$league->sport', 'desc' => __('substitute match edit form with custom form', 'leaguemanager'), 'location' => 'admin/match.php: 6', 'comments' => '' ),
					array( 'name' => 'edit_matches_columns_$league->sport', 'desc' => __('extend match editing columns', 'leaguemanager'), 'location' => 'admin/match.php: 96', 'comments' => '' ),
					array( 'name' => 'edit_matches_columns', 'desc' => __('extend match editing columns', 'leaguemanager'), 'location' => 'admin/match.php: 97', 'comments' => '' ),
					array( 'name' => 'matchtable_columns_$league->sport', 'desc' => __('add additional columns to match table table', 'leaguemanager'), 'location' => 'admin/matches.php: 94', 'comments' => '' ),
					array( 'name' => 'league_settings_general', 'desc' => __('extend general settings', 'leaguemanager'), 'location' => 'admin/settings.php: 152', 'comments' => '' ),
					array( 'name' => 'league_settings_$league->sport', 'desc' => __('add custom settings for league dependent on chosen sport or league mode', 'leaguemanager'), 'location' => 'admin/settings.php: 242', 'comments' => 'name structure of input fields is name="settings[<em>name</em>]". access of values is <em>$league->name</em>' ),
					array( 'name' => 'league_settings_$league->mode', 'desc' => __('add custom settings for league dependent on chosen sport or league mode', 'leaguemanager'), 'location' => 'admin/settings.php: 243', 'comments' => 'name structure of input fields is name="settings[<em>name</em>]". access of values is <em>$league->name</em>' ),
					array( 'name' => 'league_settings', 'desc' => __('add custom settings for league dependent on chosen sport or league mode', 'leaguemanager'), 'location' => 'admin/settings.php: 244', 'comments' => 'name structure of input fields is name="settings[<em>name</em>]". access of values is <em>$league->name</em>' ),
					array( 'name' => 'team_edit_form_$league->sport', 'desc' => __('add custom fields for team; used to add hidden input fields based on sport type', 'leaguemanager'), 'location' => 'admin/team.php: 108', 'comments' => 'input name structure is name="custom[<em>name</em>]". access of values is <em>$team->name</em>' ),
					array( 'name' => 'team_edit_form', 'desc' => __('add custom fields for team; used to add hidden input fields based on sport type', 'leaguemanager'), 'location' => 'admin/team.php: 109', 'comments' => 'input name structure is name="custom[<em>name</em>]". access of values is <em>$team->name</em>' )
				);
				$class = ''; ?>
				<?php foreach ( $filters AS $key => $value ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
					<tr class="<?php echo $class ?>" valign="top">
						<td class="column-primary column-action" data-colname="<?php _e( 'Action', 'leaguemanager' ) ?>"><?php echo $value['name'] ?><button class="toggle-row" type="button"></button></td>
						<td class="column-description" data-colname="<?php _e( 'Description', 'leaguemanager' ) ?>"><?php echo $value['desc'] ?></td>
						<td class="column-location" data-colname="<?php _e( 'Location', 'leaguemanager' ) ?>"><?php echo $value['location'] ?></td>
						<td class="column-comments" data-colname="<?php _e( 'Comments', 'leaguemanager' ) ?>"><?php echo $value['comments'] ?></td>
					</tr>
				<?php endforeach; ?>
				</tbody>
				</table>
			</div>
		</div>
		
		<div id="howto_intro">
			<h2><?php _e( 'HowTo', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<p><?php printf( __( 'The main page of LeagueManager shows an <a href="%s" class="thickbox" rel="howto">overview of leagues</a> in the database together with a few statistics on number of seasons, teams and matches. At the beginning it is necessary to add at least one season for which the number of match days is also specified. Furthermore the <a href="%s" class="thickbox" rel="howto">league preferences</a> need to be set. One can choose from numerous sport types, which implement different extensions, point rules, point formats, team ranking and different other options. Afterwards <a href="%s" class="thickbox" rel="howto">teams</a> and <a href="%s" class="thickbox" rel="howto">matches</a> can be added to database. Data from LeagueManager can be inserted in a page or post using the cup <a href="%s" class="thickbox" rel="howto">TinyMCE Button</a> or directly shortcodes introduced above. Furthermore matches and standings can be displayed in the sidebar with a <a href="%s" class="thickbox" rel="howto">widget</a>. A page or post can be also marked as <a href="%s" class="thickbox" rel="howto">match report</a> with easy-to-use dropdown menus from which the match can be selected.', 'leaguemanager' ), LEAGUEMANAGER_URL.'/admin/doc/overview.png', LEAGUEMANAGER_URL.'/admin/doc/settings.png', LEAGUEMANAGER_URL.'/admin/doc/add_team.png', LEAGUEMANAGER_URL.'/admin/doc/add_matches.png', LEAGUEMANAGER_URL.'/admin/doc/page.png', LEAGUEMANAGER_URL.'/admin/doc/widget.png', LEAGUEMANAGER_URL.'/admin/doc/match_report.png' ) ?></p>

				<h3 id="championship"><?php _e( 'Championship', 'leaguemanager' ) ?></h3>
				<p><?php printf( __( 'The Championship mode is designed for soccer championships and may not work with other types. When changing the league mode, additional preferences could appear after saving. For championship mode two new settings will appear. <em>Groups</em> defines the group names which are available. <em>Teams Advance</em> is the number of teams which advance from the preliminary round to the final rounds. The number of final rounds is automatically calculated from the number of groups and the number of advancing teams. In championship mode, each team has be assigned to a group. The <a href="%s" class="thickbox" rel="howto-championship">preliminary rounds</a> are displayed on the bottom of the league overview page. Before adding matches a group needs to be selected, either from the group dropdown on the top of the page or in the preliminary section. <a href="%s" class="thickbox" rel="howto-championship">Final round matches</a> are added by using the <em>Actions</em> dropdown in the Finals section. Final round matches are added in a symbolic way before the championship starts. The plugin will automatically advance from the preliminary rounds to the final rounds as soon as all preliminary round matches in all groups are finished (have results). This is also the case for advancing from one final round to the next.', 'leaguemanager' ), LEAGUEMANAGER_URL.'/admin/doc/championship2.png', LEAGUEMANAGER_URL.'/admin/doc/championship1.png' ) ?></p>

				<h3 id="team_roster"><?php _e( 'Team Roster', 'leaguemanager' ) ?></h3>
				<p><?php printf( __( 'LeagueManager itself cannot manage team rosters, but has to be done together with the plugin <a href="%s" target="_blank">ProjectManager</a>. This plugin is specifically designed for team rosters. It allows the easy generation of custom input forms through the administration panel. Further datasets can be grouped into different categories using the wordpress category system. A template system allows a high degree of customization for displaying datasets in the output. It comes with two default templates to display datasets in a table list or show them as photo gallery, which is especially useful for team roster.', 'leaguemanager' ), "http://wordpress.org/extend/plugins/projectmanager/" ) ?></p>
				<p><?php printf( __( 'A project in ProjectManager can then be used as team roster and <a href="%s" class="thickbox" rel="howto-roster">linked to a specific team</a> in the team edit page. The team roster will be displayed in a list on an individual team page, e.g. by using the shortcode [team id=ID].', 'leaguemanager' ), LEAGUEMANAGER_URL.'/admin/doc/team_roster.png' ) ?></p>

				<h3 id="match_statistics"><?php _e( 'Match Statistics', 'leaguemanager' ) ?></h3>
				<p><?php printf( __( 'Match Statistics do not depend on ProjectManager and a team roster, but the combination makes it much more powerful and I recommend the combination. LeagueManager has a simple, but flexible match statistics module, which works similar to the formfields in ProjectManager. The first step is to activate match statistics in the league preferences and then <a href="%s" class="thickbox" rel="howto-statistics">add statistics a field</a>, e.g. Goals, by clicking on the Match Statistics link in the top menu on the league overview page. Each statistics needs a name and can have any number of fields, which are added dynamically. Each field can be either <em>text</em> or <em>roster</em>. Choose roster for a field which holds a player name, also if you do not use a team roster now, as it is more flexible.', 'leaguemanager' ), LEAGUEMANAGER_URL.'/admin/doc/stats.png') ?></p>
				<p><?php printf( __( 'After having set up the statistics fields you can return to the league overview page and <a href="%s" class="thickbox" rel="howto-statistics">add statistics for each match</a> by clicking the link in the matches table. Each field which was defined as roster will have a button next to the input field. Clicking on the button opens a popup window with a selection of players which are taken from ProjectManager. The statistics will be shown with each individual match, e.g. by using the shortcode [match id=ID].', 'leaguemanager' ), LEAGUEMANAGER_URL.'/admin/doc/match_statistics.png' ) ?></p>
				<p><?php printf( __( 'Each Statistics field will automatically create <a href="%s" class="thickbox" rel="howto-statistics">another formfield type in ProjectManager</a>. In this way match statistics from LeagueManager can be displayed in each player profile in ProjectManager. Any statistics which only counts the number of entries, e.g. Goals, Assists, Cards will be automatically calculated. ', 'leaguemanager' ), LEAGUEMANAGER_URL.'/admin/doc/goals_field.png') ?></p>
			</div>
		</div>
		
		<div id="racing">
			<h2><?php _e( 'Setup Racing Sports', 'leaguemanager' ) ?></h2>
			
			<div class="documentation-block content">
				<a href="#top" class="alignright top-link"><?php _e( 'Top', 'leaguemanager' ) ?></a>
				<p><?php printf(__('Racing mode has a special setup and strictly requires my other plugin %s to manage individual racer. After installing the plugin ProjectManager setup different cateogies for each racing team and setup individual profiles for each racer (Name is enough). Having setup the profiles for individual racer, add teams in LeagueManager and choose as team roster the respective project and category. Then add matches as normal only that for each racing event an individual title is used. The results are not required, I think, but the table for each team needs to be updated manually. By clicking on the results page you can insert results for each individual racer.', 'leaguemanager'), '<a href="https://wordpress.org/plugins/projectmanager/" target="_blank" title="Link to Projectmanager">ProjectManager</a>'); ?></p>
			</div>
		</div>
	</div>
</div>

<?php endif; ?>