<?php
/**
 * Index administration panel
 *
 */
 namespace ns;
?>
<div class="wrap">
	<h1><?php _e( 'Leaguemanager', 'leaguemanager' ) ?></h1>
	
	<div id="col-container">
		<div id="col-left">
		<div class="col-wrap">

		<!-- Add New League -->
		<form action="" method="post">
			<?php wp_nonce_field( 'leaguemanager_add-league' ) ?>
			<h2><?php _e( 'Add League', 'leaguemanager' ) ?></h2>
			<table class="form-table">
			<tr valign="top">
				<th scope="row"><label for="league_title"><?php _e( 'League', 'leaguemanager' ) ?></label></th><td><input type="text" name="league_title" id="league_title" value="" /></td>
			</tr>
			</table>
			<p class="submit"><input type="submit" name="addLeague" value="<?php _e( 'Add League', 'leaguemanager' ) ?>" class="button button-primary" /></p>
		</form>

		</div>
		</div><!-- / col-left -->
		
		<div id="col-right">
		<div class="col-wrap">

		<form id="leagues-filter" method="post" action="">
		<?php wp_nonce_field( 'leagues-bulk' ) ?>
		
		<div class="tablenav">
			<!-- Bulk Actions -->
			<select name="action" size="1">
				<option value="-1" selected="selected"><?php _e('Bulk Actions') ?></option>
				<option value="delete"><?php _e('Delete')?></option>
			</select>
			<input type="submit" value="<?php _e('Apply'); ?>" name="doaction" id="doaction" class="button-secondary action" />
		</div>
		
		<table class="widefat wp-list-table leagues" summary="" title="LeagueManager">
			<thead>
			<tr>
				<th scope="col" class="manage-column column-cb check-column"><input type="checkbox" onclick="Leaguemanager.checkAll(document.getElementById('leagues-filter'));" /></th>
				<th scope="col" class="manage-column column-title column-primary"><?php _e( 'League', 'leaguemanager' ) ?></th>
				<th scope="col" class="manage-column column-seasons num"><?php _e( 'Seasons', 'leaguemanager' ) ?></th>
				<th scope="col" class="manage-column column-seasons num"><?php _e( 'Teams', 'leaguemanager' ) ?></th>
				<th scope="col" class="manage-column column-seasons num"><?php _e( 'Matches', 'leaguemanager' ) ?></th>
				<th scope="col" class="manage-column column-ID num"><?php _e( 'ID', 'leaguemanager' ) ?></th>
			</tr>
			<tbody class="the-list">
				<?php foreach ( $this->getLeagues() AS $league ) : $league = get_league($league); $i=0; $the_menu = $this->getMenu(); ?>
				<tr class="<?php echo $league->cssClass ?>">
					<th scope="row" class="column-cb check-column"><input type="checkbox" value="<?php echo $league->id ?>" name="league[<?php echo $league->id ?>]" /></th>
					<td class="column-title column-primary has-row-actions" data-colname="<?php _e( 'League', 'leaguemanager' ) ?>">
						<a href="admin.php?page=leaguemanager&amp;subpage=show-league&amp;league_id=<?php echo $league->id ?>"><?php echo $league->title ?></a>
						<button class="toggle-row" type="button"></button>
						<div class="row-actions">
							<?php foreach ( $the_menu AS $key => $menu ) : $i++; ?>
							<?php if ( !isset($menu['show']) || $menu['show'] ) : ?>
								<span class="<?php echo $key ?>"><a href="admin.php?page=leaguemanager&amp;subpage=<?php echo $key ?>&amp;league_id=<?php echo $league->id ?>&amp;season=<?php echo $league->getSeason() ?>&amp;group=<?php echo $league->getGroup() ?>"><?php echo $menu['title'] ?></a><?php if ($i < count($the_menu)) : ?> | <?php endif; ?></span>
							<?php endif; ?>
							<?php endforeach; ?>
						</div>
					</td>
					<td class="column-seasons num" data-colname="<?php _e( 'Seasons', 'leaguemanager' ) ?>"><?php echo $league->num_seasons ?></td>
					<td class="column-seasons num" data-colname="<?php _e( 'Teams', 'leaguemanager' ) ?>"><?php echo $league->num_teams_total ?></td>
					<td class="column-seasons num" data-colname="<?php _e( 'Matches', 'leaguemanager' ) ?>"><?php echo $league->num_matches_total ?></td>
					<td class="column-ID num" data-colname="<?php _e( 'ID', 'leaguemanager' ) ?>"><?php echo $league->id ?></td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
		</form>

		</div>
		</div><!-- /col-right -->
	</div>
</div>