var Leaguemanager = new Object();

Leaguemanager.reInit = function() {
	tb_init('a.thickbox, area.thickbox, input.thickbox');
}

/**
 * AJAX response to insert logo from database
 *
 * @param string requestUrl
 * @see admin/team.php
 */
Leaguemanager.insertLogoFromLibrary = function(requestUrl, i) {
  logo = jQuery('#logo_library_url_'+i).val();

  var ajax = new sack(requestUrl);
  ajax.execute = 1;
  ajax.method = 'POST';
  ajax.setVar( 'action', 'leaguemanager_insert_logo_from_library' );
  ajax.setVar( 'logo', logo );
  ajax.setVar( 'index', i );
  ajax.onError = function() { alert('Ajax error while inserting logo from library'); };
  ajax.onCompletion = function() { return true; };
  ajax.runAJAX();

  tb_remove();
}


/**
 * AJAX response to insert team from database
 *
 * @param string requestUrl
 * @param int i team index
 * @see admin/team.php
 */
Leaguemanager.getTeamFromDatabase = function(requestUrl, i) {
	var team_id = jQuery('#team_db_select_'+i).val();

	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( 'action', 'leaguemanager_add_team_from_db' );
	ajax.setVar( 'team_id', team_id );
	ajax.setVar( 'index', i );
	ajax.onError = function() { alert('Ajax error while adding teams from database'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();

	tb_remove();
}

/**
 * AJAX response to set season dropdron in post meta box
 *
 * @param string requestUrl
 * @param int league_id
 * @see admin/admin.php
 */
Leaguemanager.getSeasonDropdown = function(requestUrl, league_id){
	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( 'action', 'leaguemanager_get_season_dropdown' );
	ajax.setVar( 'league_id', league_id );
	ajax.onError = function() { alert('Ajax error while getting seasons dropdown'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();
}

/**
 * AJAX response to set season dropdron in post meta box
 *
 * @param string requestUrl
 * @param int league_id
 * @see lib/league.php
 */
Leaguemanager.getMatchesDropdown = function(requestUrl, league_id, season) {
	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( 'action', 'leaguemanager_get_match_dropdown' );
	ajax.setVar( 'league_id', league_id );
	ajax.setVar( 'season', season );
	ajax.onError = function() { alert('Ajax error while getting matches dropdown'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();
}

/**
 * AJAX response to save extra points for team
 *
 * @param string requestUrl
 * @param string pluginUrl
 * @param int points
 * @param int team_id
 * @param int league_id
 * @see admin/standings.php
 */
Leaguemanager.saveExtraPoints = function(requestUrl, pluginUrl, points, team_id, league_id) {
	jQuery('#loading_' + team_id).css("display", "inline");
	jQuery('#loading_' + team_id).html("<img src='"+pluginUrl+"/images/loading.gif' />");
	
	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( "action", "leaguemanager_save_add_points" );
	ajax.setVar( "team_id", team_id );
	ajax.setVar( "league_id", league_id );
	ajax.setVar( "points", points );
	ajax.onError = function() { alert('Ajax error on saving additional points'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();
}

/**
 * AJAX response to add first match day in match adding for all matches
 *
 * @param string requestUrl
 * @param int match_day
 * @param int i
 * @param int max_matches
 * @param string mode
 * @see admin/match.php
 */
Leaguemanager.setMatchDayPopUp = function(requestUrl, match_day, i, max_matches, mode) {
	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( "action", "leaguemanager_set_match_day_popup" );
	ajax.setVar( "match_day", match_day );
	ajax.setVar( "i", i);
	ajax.setVar( "mode", mode);
	ajax.setVar( "max_matches", max_matches );
	ajax.onError = function() { alert('Ajax error while setting match day popup'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();
}

/**
 * AJAX response to add first match date in match adding for all matches
 *
 * @param string requestUrl
 * @param string match_date
 * @param int i
 * @param int max_matches
 * @param string mode
 * @see admin/match.php
 */
Leaguemanager.setMatchDate = function(requestUrl, match_date, i, max_matches, mode) {
	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( "action", "leaguemanager_set_match_date" );
	ajax.setVar( "match_date", match_date );
	ajax.setVar( "i", i);
	ajax.setVar( "mode", mode);
	ajax.setVar( "max_matches", max_matches );
	ajax.onError = function() { alert('Ajax error while setting match date'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();
}

/**
 * AJAX response to insert home team stadium in match editing
 *
 * @param string requestUrl
 * @param int team_id
 * @param int i
 * @see admin/match.php
 */
Leaguemanager.insertHomeStadium = function(requestUrl, team_id, i) {
	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( "action", "leaguemanager_insert_home_stadium" );
	ajax.setVar( "team_id", team_id );
	ajax.setVar( "i", i);
	ajax.onError = function() { alert('Ajax error while inserting home stadium'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();
}

/**
 * AJAX response to toggle custom point rule field in settings
 *
 * @param string requestUrl
 * @param string rule
 * @see admin/settings.php
 */
Leaguemanager.togglePointRule = function(requestUrl, rule) {
	var ajax = new sack(requestUrl);
	ajax.execute = 1;
	ajax.method = 'POST';
	ajax.setVar( "action", "leaguemanager_toggle_point_rule" );
	ajax.setVar( "rule", rule );
	ajax.onError = function() { alert('Ajax error while inserting home stadium'); };
	ajax.onCompletion = function() { return true; };
	ajax.runAJAX();
}