<?php
/**
 * Match administration panel
 *
 */
 namespace ns;
?>
<div class="wrap">
	<p class="leaguemanager_breadcrumb"><a href="admin.php?page=leaguemanager"><?php _e( 'LeagueManager', 'leaguemanager' ) ?></a> &raquo; <a href="admin.php?page=leaguemanager&amp;subpage=show-league&amp;league_id=<?php echo $league->id ?>"><?php echo $league->title ?></a> &raquo; <?php echo $form_title ?></p>
	<h1><?php printf( "%s &mdash; %s",  $league->title, $form_title ); ?></h1>
    
	<?php if ( has_action( 'leaguemanager_edit_match_'.$league->sport ) ) : ?>
		<?php do_action( 'leaguemanager_edit_match_'.$league->sport, $teams, $max_matches, $matches, $submit_title, $mode ) ?>
	<?php else : ?>
		<form action="admin.php?page=leaguemanager&amp;subpage=show-league&amp;league_id=<?php echo $league->id?>&amp;season=<?php echo $league->getSeason() ?><?php if($league->getGroup() != "") echo '&amp;group=' . $league->getGroup(); ?>" method="post">
			<?php wp_nonce_field( 'leaguemanager_manage-matches' ) ?>

			<p class="match_info"><?php if ( $mode == 'add' ) : ?><?php _e( 'Note: Matches with different Home and Guest Teams will be added to the database.', 'leaguemanager' ) ?><?php endif; ?></p>

			<table class="widefat wp-list-table leagues">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-date column-primary"><?php _e( 'Date', 'leaguemanager' ) ?></th>
						<?php if ( count($league->groups) > 0 && !$is_finals ) : ?>
						<th scope="col" class="manage-column column-group"><?php _e( 'Group', 'leaguemanager' ) ?></th>
						<?php endif; ?>
						<?php if ( ($league->mode == 'championship' && !$is_finals) || (!$is_finals) ) : ?>
						<th scope="col" class="manage-column column-matchday"><?php _e( 'Day', 'leaguemanager' ) ?></th>
						<?php endif; ?>
						<th scope="col" class="manage-column column-home"><?php _e( 'Home', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-away"><?php _e( 'Guest', 'leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-location"><?php _e( 'Location','leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-starttime"><?php _e( 'Begin','leaguemanager' ) ?></th>
						<th scope="col" class="manage-column column-status"><?php _e( 'Status','leaguemanager' ) ?></th>
						<?php do_action('edit_matches_header_'.$league->sport) ?>
						<?php do_action('edit_matches_header'); ?>
					</tr>
				</thead>
				<tbody class="the-list">
				<?php for ( $i = 0; $i < $max_matches; $i++ ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
				<tr class="<?php echo $class; ?>">
                    <td class="column-date column-primary" data-colname="<?php _e( 'Date', 'leaguemanager' ) ?>">
						<input type="text" name="mydatepicker[<?php echo $i ?>]" id="mydatepicker[<?php echo $i ?>]" class="mydatepicker" value="<?php echo substr($matches[$i]->date, 0, 10); ?>" onChange="Leaguemanager.setMatchDate('<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php', this.value, <?php echo $i ?>, <?php echo $max_matches ?>, '<?php echo $mode ?>');" /><button class="toggle-row" type="button"></button>
						
						<?php if ( count($league->groups) == 0 || $is_finals ) : ?>
						<input type="hidden" name="group[<?php echo $i ?>]" id="group_<?php echo $i ?>" value="" />
						<?php endif; ?>
					</td>
					<?php if ( count($league->groups) > 0 && !$is_finals ) : ?>
					<td class="column-group" data-colname="<?php _e( 'Group', 'leaguemanager' ) ?>">
						<select size="1" name="group[<?php echo $i ?>]" id="group_<?php echo $i ?>">
							<?php foreach ( $league->groups AS $group ) : ?>
							<option value="<?php echo $group ?>" <?php selected( $group, $matches[$i]->group ) ?>><?php echo $group ?></option>
							<?php endforeach; ?>
						</select>
					</td>
					<?php endif; ?>
					<?php if ( ($league->mode == 'championship' && !$is_finals) || (!$is_finals) ) : ?>
					<td class="column-matchday" data-colname="<?php _e( 'Day', 'leaguemanager' ) ?>">
						<select size="1" name="match_day[<?php echo $i ?>]" id="match_day_<?php echo $i ?>" onChange="Leaguemanager.setMatchDayPopUp('<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php', this.value, <?php echo $i ?>, <?php echo $max_matches ?>, '<?php echo $mode ?>');">
							<?php for ($d = 1; $d <= $league->current_season['num_match_days']; $d++) : ?>
							<option value="<?php echo $d ?>" <?php selected($d, $league->match_day); ?>><?php echo $d ?></option>
							<?php endfor; ?>
						</select>
					</td>
					<?php endif; ?>
					<td class="column-home" data-colname="<?php _e( 'Home', 'leaguemanager' ) ?>">
						<select size="1" name="home_team[<?php echo $i ?>]" id="home_team_<?php echo $i ?>" onChange="Leaguemanager.insertHomeStadium('<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php', this.value, <?php echo $i ?>);">
						<?php foreach ( $teams AS $team ) : ?>
							<option value="<?php echo $team->id ?>" <?php selected($team->id, $matches[$i]->home_team ) ?>><?php echo $team->title ?></option>
						<?php endforeach; ?>
						</select>
					</td>
					<td class="column-away" data-colname="<?php _e( 'Guest', 'leaguemanager' ) ?>">
						<select size="1" name="away_team[<?php echo $i ?>]" id="away_team_<?php echo $i ?>" onChange="Leaguemanager.insertHomeStadium('<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php', jQuery('#home_team_<?php echo $i ?>').val(), <?php echo $i ?>);">
                            <?php foreach ( $teams AS $team ) : ?>
                                <option value="<?php echo $team->id ?>" <?php selected( $team->id, $matches[$i]->away_team ) ?>><?php echo $team->title ?></option>
                            <?php endforeach; ?>
                            </select>
					</td>
					<td class="column-location" data-colname="<?php _e( 'Location', 'leaguemanager' ) ?>"><input type="text" name="location[<?php echo $i ?>]" id="location[<?php echo $i ?>]" value="<?php echo $matches[$i]->location ?>" /></td>
					<td class="column-starttime" data-colname="<?php _e( 'Begin', 'leaguemanager' ) ?>">
						<select size="1" name="begin_hour[<?php echo $i ?>]">
						<?php for ( $hour = 0; $hour <= 23; $hour++ ) : ?>
							<option value="<?php echo str_pad($hour, 2, 0, STR_PAD_LEFT); ?>"<?php selected( $hour, $matches[$i]->hour ); ?>><?php echo str_pad($hour, 2, 0, STR_PAD_LEFT); ?></option>
						<?php endfor; ?>
						</select>
						<select size="1" name="begin_minutes[<?php echo $i ?>]">
						<?php for ( $minute = 0; $minute <= 60; $minute++ ) : ?>
							<?php if ( 0 == $minute % 5 && 60 != $minute ) : ?>
							<option value="<?php echo str_pad($minute, 2, 0, STR_PAD_LEFT); ?>" <?php selected( $minute, $matches[$i]->minutes ); ?>><?php echo str_pad($minute, 2, 0, STR_PAD_LEFT); ?></option>
							<?php endif; ?>
						<?php endfor; ?>
						</select>
					</td>
					<td class="column-status" data-colname="<?php _e( 'Status', 'leaguemanager' ) ?>">
						<select size="1" name="status[<?php echo $i ?>]">
							<?php foreach ( $matches[$i]->getStatusOptions() AS $key => $value ) : ?>
								<option value="<?php echo $key ?>" <?php selected( $key, $matches[$i]->status ); ?>><?php echo $value ?></option>
							<?php endforeach; ?>
						</select>
					</td>
					<?php do_action('edit_matches_columns_'.$league->sport, $matches[$i], $teams, $i) ?>
					<?php do_action('edit_matches_columns', $matches[$i], $i) ?>
				</tr>
				<input type="hidden" name="match[<?php echo $i ?>]" value="<?php echo $matches[$i]->id; ?>" />
				<?php endfor; ?>
				</tbody>
			</table>

			<input type="hidden" name="mode" value="<?php echo $mode ?>" />
			<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
			<input type="hidden" name="season" value="<?php echo $league->getSeason() ?>" />
			<input type="hidden" name="final" value="<?php echo $finalkey ?>" />
			<input type="hidden" name="updateLeague" value="match" />

			<p class="submit"><input type="submit" value="<?php echo $submit_title ?>" class="button button-primary" /></p>
		</form>
	<?php endif; ?>
</div>