<?php
/**
 * Match List administration panel
 *
 */
 namespace ns;
?>
<div class="league-block">

<?php if ( !empty($league->current_season['num_match_days']) ) : ?>
<!-- Bulk Editing of Matches -->
<form action="admin.php" method="get" class="alignright">
	<input type="hidden" name="page" value="leaguemanager" />
	<input type="hidden" name="subpage" value="match" />
	<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
	<input type="hidden" name="season" value="<?php echo $league->getSeason() ?>" />
	<input type="hidden" name="group" value="<?php echo $league->getGroup() ?>" />

	<select size="1" name="match_day">
	<?php for ($i = 1; $i <= $league->current_season['num_match_days']; $i++) : ?>
		<option value="<?php echo $i ?>"><?php printf(__( '%d. Match Day', 'leaguemanager'), $i) ?></option>
	<?php endfor; ?>
	</select>
	<input type="hidden" name="jquery-ui-tab" value="0" class="jquery_ui_tab_index" />
	<input type="submit" value="<?php _e('Edit Matches', 'leaguemanager'); ?>" class="button-secondary action" />
</form>
<?php endif; ?>

<form id="competitions-filter" action="admin.php?page=leaguemanager&subpage=show-league&league_id=<?php echo $league->id ?>" method="post">
<?php wp_nonce_field( 'matches-bulk' ) ?>

	<input type="hidden" name="current_match_day" value="<?php echo $matchDay ?>" />
	<input type="hidden" name="jquery-ui-tab" value="0" class="jquery_ui_tab_index" />
	<input type="hidden" name="group" value="<?php echo $league->getGroup() ?>" />
	
	<div class="tablenav">
		<!-- Bulk Actions -->
		<select name="action-matches" size="1">
			<option value="-1" selected="selected"><?php _e('Bulk Actions') ?></option>
			<option value="delete"><?php _e('Delete')?></option>
		</select>
		<input type="submit" value="<?php _e('Apply'); ?>" name="doaction-matches" id="doaction-matches" class="button-secondary action" />

		<?php if ( !empty($league->current_season['num_match_days']) ) : ?>
		<select size='1' name='match_day'>
			<?php $selected = ( isset($_POST['doaction3']) && $_POST['match_day'] == -1 ) ? ' selected="selected"' : ''; ?>
			<option value="-1" <?php selected($league->match_day, -1) ?>><?php _e( 'Show all Matches', 'leaguemanager' ) ?></option>
			<?php for ($i = 1; $i <= $league->current_season['num_match_days']; $i++) : ?>
			<option value='<?php echo $i ?>' <?php selected($league->match_day, $i) ?>><?php printf(__( '%d. Match Day', 'leaguemanager'), $i) ?></option>
			<?php endfor; ?>
		</select>
		<select size="1" name="team_id">
		<option value=""><?php _e( 'Choose Team', 'leaguemanager' ) ?></option>
		<?php foreach ( $teams AS $team ) : ?>
			<?php $selected = (isset($_POST['team_id']) && intval($_POST['team_id']) == $team->id) ? ' selected="selected"' : ''; ?>
			<option value="<?php echo $team->id ?>"<?php echo $selected ?>><?php echo $team->title ?></option>
		<?php endforeach; ?>
		</select>
		<input type='submit' name="doaction-match_day" id="doaction-match_day" class="button-secondary action" value='<?php _e( 'Filter' ) ?>' />
		<?php endif; ?>
	</div>
	
	<table class="widefat wp-list-table leagues matchtable" summary="" title="<?php _e( 'Match Plan','leaguemanager' ) ?>">
	<thead>
	<tr>
		<th scope="col" class="check-column manage-column column-cb"><input type="checkbox" /></th>
		<th scope="col" class="manage-column column-title column-primary"><?php _e( 'Match','leaguemanager' ) ?></th>
		<?php if ( !empty($league->groups) && $league->mode == 'championship' ) : ?><th class="manage-column column-group num"><?php _e( 'Group', 'leaguemanager' ) ?></th><?php endif; ?>
		<th scope="col" class="manage-column column-date"><?php _e( 'Date','leaguemanager' ) ?></th>
		<th scope="col" class="manage-column column-location"><?php _e( 'Location','leaguemanager' ) ?></th>
		<th scope="col" class="manage-column column-starttime"><?php _e( 'Begin','leaguemanager' ) ?></th>
		<?php $league->displayMatchesHeader(); //do_action( 'matchtable_header_'.$league->sport ); ?>
		<th scope="col" class="manage-column column-score num"><?php _e( 'Score', 'leaguemanager' ) ?></th>
		<th scope="col" class="manage-column column-status"><?php _e( 'Status', 'leaguemanager' ) ?></th>
		<?php do_action('matchtable_header'); ?>
		<!--<th><?php _e( 'ID', 'leaguemanager' ) ?></th>-->
	</tr>
	</thead>
	<tbody id="the-list-matches-<?php echo $league->getGroup() ?>" class="the-list form-table">
	<?php if ( $matches ) : $class = ''; ?>
	<?php foreach ( $matches AS $match ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
		<tr class="<?php echo $class ?>">
			<th scope="row" class="check-column column-cb">
				<input type="hidden" name="matches[<?php echo $match->id ?>]" value="<?php echo $match->id ?>" />
				<input type="hidden" name="home_team[<?php echo $match->id ?>]" value="<?php echo $match->home_team ?>" />
				<input type="hidden" name="away_team[<?php echo $match->id ?>]" value="<?php echo $match->away_team ?>" />
				
				<input type="checkbox" value="<?php echo $match->id ?>" name="match[<?php echo $match->id ?>]" />
			</th>
			<td class="column-title column-primary" data-colname="<?php _e( 'Match','leaguemanager' ) ?>">
				<?php echo $match->getTitle() ?>
				<button class="toggle-row" type="button"></button>
				<div class="row-actions">
					<span class="edit"><a href="admin.php?page=leaguemanager&amp;subpage=match&amp;league_id=<?php echo $league->id ?>&amp;edit=<?php echo $match->id ?>&amp;season=<?php echo $league->getSeason() ?><?php if($league->getGroup() != "") echo '&amp;group=' . $league->getGroup(); ?>"><?php _e( 'Edit' ) ?></a></span>
				</div>
			</td>
			<?php if ( !empty($league->groups) && $league->mode == 'championship' ) : ?><td class="column-group num" data-colname="<?php _e( 'Group','leaguemanager' ) ?>"><?php echo $match->group ?></td><?php endif; ?>
			<td class="column-date" data-colname="<?php _e( 'Date','leaguemanager' ) ?>"><?php echo $match->match_date ?></td>
			<td class="column-location" data-colname="<?php _e( 'Location','leaguemanager' ) ?>"><?php echo ( empty($match->location) ) ? 'N/A' : $match->location ?></td>
			<td class="column-starttime" data-colname="<?php _e( 'Begin','leaguemanager' ) ?>"><?php echo ( $match->start_time == '' ) ? 'N/A' : $match->start_time ?></td>
			<?php $league->displayMatchesColumns($match); //do_action( 'matchtable_columns_'.$league->sport, $match ) ?>
			<td class="column-score column-input column-num" data-colname="<?php _e( 'Score','leaguemanager' ) ?>"><input class="points" type="text" size="2" id="home_points_<?php echo $match->id ?>_regular" name="home_points[<?php echo $match->id ?>]" value="<?php echo (isset($match->home_points) ? $match->home_points : '') ?>" /><input class="points" type="text" size="2" id="away_points[<?php echo $match->id ?>]" name="away_points[<?php echo $match->id ?>]" value="<?php echo (isset($match->away_points) ? $match->away_points : '') ?>" /></td>
			<td class="column-status column-input" data-colname="<?php _e('Status', 'leaguemanager') ?>">
				<select size="1" name="status[<?php echo $match->id ?>]">
				<?php foreach ( $match->getStatusOptions() AS $key => $value ) : ?>
					<option value="<?php echo $key ?>" <?php selected( $key, $match->status ); ?>><?php echo $value ?></option>
				<?php endforeach; ?>
				</select>
			</td>
			<?php do_action('matchtable_columns', $match); ?>
			<!--<td><?php echo $match->id ?></td>-->
		</tr>
	<?php endforeach; ?>
	<?php endif; ?>
	</tbody>
	</table>

	<div class="tablenav bottom">
		<?php if ( $league->mode != "championship" && $league->getPageLinks('matches') ) : ?>
		<div class="tablenav-pages"><?php echo $league->getPageLinks('matches') ?></div>
		<?php endif; ?>
		
		<?php if ( $matches ) : ?>
			<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
			<input type="hidden" name="updateLeague" value="results" />
			<p class="submit"><input type="submit" name="updateResults" value="<?php _e( 'Update Results','leaguemanager' ) ?>" class="button button-primary" /></p>
		<?php endif; ?>
	</div>
	
	<?php do_action ( 'leaguemanager_match_administration_descriptions' ) ?>
</form>
</div>