<?php
/**
 * Seasons administration panel
 *
 */
 namespace ns;
?>
<div class="wrap">
	<h1><?php printf( "%s &mdash; %s",  $league->title, __( 'Seasons', 'leaguemanager' ) ); ?></h1>
	
	<p class="leaguemanager_breadcrumb"><a href="admin.php?page=leaguemanager"><?php _e( 'LeagueManager', 'leaguemanager' ) ?></a> &raquo; <a href="admin.php?page=leaguemanager&amp;subpage=show-league&amp;league_id=<?php echo $league->id ?>"><?php echo $league->title ?></a> &raquo; <?php _e( 'Seasons', 'leaguemanager' ) ?></p>
	
	<div id="col-container">
		<div id="col-left">
		<div class="col-wrap">
			<!-- Add New Season -->
			<div class="form-wrap">
				<h2>
					<?php if ( $season_id ) _e('Edit Season', 'leaguemanager'); else _e( 'Add new Season', 'leaguemanager' ) ?>
					<?php if ( $season_id ) : ?>
					<!--(<a href="admin.php?page=leaguemanager&amp;subpage=seasons&amp;league_id=<?php echo $league->id ?>"><?php _e( 'Add New', 'leaguemanager') ?></a>)-->
					<?php endif; ?>
				</h2>
				<form action="admin.php?page=leaguemanager&amp;subpage=seasons&amp;league_id=<?php echo $league->id ?>" method="post">
					<table class="form-table">
						<tr valign="top">
							<th scope="row"><label for="season"><?php _e( 'Season', 'leaguemanager' ) ?></label></th>
							<td>
								<input type="text" name="season" id="season" value="<?php echo $season_data['name'] ?>" size="8" />&#160;<p class="tagline-description description"><?php _e('Usually 4-digit year, e.g. 2008. Can also be any kind of string, e.g. 0809', 'leaguemanager') ?></p>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><label for="num_match_days"><?php _e( 'Number of Match Days', 'leaguemanager' ) ?></label></th>
							<td>
								<input type="number" min="1" step="1" class="small-text" name="num_match_days" id="num_match_days" value="<?php echo $season_data['num_match_days'] ?>" size="2" />
							</td>
						</tr>
						<?php if ( !$season_id ) : ?>
						<tr valign="top">
							<th scope="row"><label for="no_add_teams"><?php _e( 'No Teams', 'leaguemanager' ) ?></label></th>
							<td>
								<input type="checkbox" name="no_add_teams" id="no_add_teams" value="1" />&#160;<p class="tagline-description description"><?php _e( 'Check this to not automatically get teams from database and add them to the season', 'leaguemanager' ) ?></p>
							</td>
						</tr>
						<?php endif; ?>
					</table>

					<input type="hidden" name="season_id" value="<?php echo $season_id ?>" />
					<p class="submit"><input type="submit" name="saveSeason" class="button button-primary" value="<?php if ( !$season_id ) _e( 'Add Season', 'leaguemanager' ); else _e( 'Edit Season', 'leaguemanager' ); ?>" /></p>
				</form>
			</div>
		</div>
		</div><!-- / col-left -->
		
		<div id="col-right">
		<div class="col-wrap">
			<form id="seaons-filter" action="" method="post">
				<?php wp_nonce_field( 'seasons-bulk' ) ?>
				
				<div class="tablenav">
					<!-- Bulk Actions -->
					<select name="action" size="1">
						<option value="-1" selected="selected"><?php _e('Bulk Actions') ?></option>
						<option value="delete"><?php _e('Delete')?></option>
					</select>
					<input type="submit" value="<?php _e('Apply'); ?>" name="doaction" id="doaction" class="button-secondary action" />
				</div>
				<table class="widefat wp-list-table leagues">
				<thead>
				<tr>
					<th scope="col" class="manage-column column-cb check-column"><input type="checkbox" /></th>
					<th scope="col" class="manage-column column-season column-primary"><?php _e( 'Season', 'leaguemanager' ) ?></th>
					<th scope="col" class="manage-column column-num-match-days"><?php _e( 'Match Days', 'leaguemanager' ) ?></th>
				</tr>
				</thead>
				<tbody class="the-list">
					<?php if ( !empty($league->seasons) ) : $class = ''; ?>
					<?php foreach( (array)$league->seasons AS $key => $season ) : $class = ( 'alternate' == $class ) ? '' : 'alternate' ?>
					<tr class="<?php echo $class ?>">
						<th scope="row" class="column-cb check-column"><input type="checkbox" value="<?php echo $key ?>" name="del_season[<?php echo $key ?>]" /></th>
						<td class="column-season column-primary" data-colname="<?php _e( 'Season', 'leaguemanager' ) ?>">
							<?php echo $season['name'] ?>
							<button class="toggle-row" type="button"></button>
							<div class="row-actions">
								<span class="edit edit-season"><a href="admin.php?page=leaguemanager&amp;subpage=seasons&amp;league_id=<?php echo $league->id ?>&amp;edit=<?php echo $key ?>"><?php _e( 'Edit', 'leaguemanager' ) ?></a></span>
							</div>
						</td>
						<td class="column-num-match-days" data-colname="<?php _e( 'Match Days', 'leaguemanager' ) ?>"><?php echo $season['num_match_days'] ?></td>
					</tr>
					<?php endforeach; ?>
					<?php endif; ?>
				</tbody>
				</table>
			</form>
		</div>
		</div><!-- /col-right -->
	</div>
</div>