<?php
/**
 * League main page administration panel
 *
 */
 namespace ns;
?>
<script type='text/javascript'>
	jQuery(function() {
		jQuery("#tabs").tabs({
			active: <?php echo $tab ?>
		});
	});
</script>
<div class="wrap">
	<h1><?php echo $league->title ?></h1>

	<p class="leaguemanager_breadcrumb"><a href="admin.php?page=leaguemanager"><?php _e( 'LeagueManager', 'leaguemanager' ) ?></a> &raquo; <?php echo $league->title ?></p>

	<?php if ( !empty($league->seasons) ) : ?>
	<!-- Season Dropdown -->
	<div class="alignright clear">
	<form action="admin.php" method="get">
		<input type="hidden" name="page" value="leaguemanager" />
		<input type="hidden" name="subpage" value="show-league" />
		<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
		<label for="season"><?php _e( 'Season', 'leaguemanager' ) ?></label>
		<select size="1" name="season" id="season">
		<?php foreach ( $league->seasons AS $s ) : ?>
			<option value="<?php echo htmlspecialchars($s['name']) ?>"<?php if ( $s['name'] == $league->getSeason() ) echo ' selected="selected"' ?>><?php echo $s['name'] ?></option>
		<?php endforeach; ?>
		</select>
		<input type="submit" value="<?php _e( 'Show', 'leaguemanager' ) ?>" class="button" />
	</form>
	</div>
	<?php endif; ?>

	<!-- League Menu -->
	<ul class="subsubsub">
	<?php foreach ( $this->getMenu() AS $key => $menu ) : ?>
	<?php if ( current_user_can($menu['cap']) && (!isset($menu['display']) || $menu['display'] === true) ) : ?>
		<li><a class="button-primary" href="admin.php?page=leaguemanager&amp;subpage=<?php echo $key ?>&amp;league_id=<?php echo $league->id ?>&amp;season=<?php echo $league->getSeason() ?>&amp;group=<?php echo $league->getGroup() ?>"><?php echo $menu['title'] ?></a></li>
	<?php endif; ?>
	<?php endforeach; ?>
	<?php if ( $league->hasTeamProfiles() ) : ?>
		<li><a class="button-primary" href="admin.php?page=projectmanager&subpage=show-project&amp;project_id=<?php echo $league->teamprofiles ?>"><?php _e( 'Team Profiles', 'leaguemanager' ); ?></a></li>
	<?php endif; ?>
	<?php if ( $league->hasTeamRoster() ) : ?>
		<li><a class="button-primary" href="admin.php?page=projectmanager&subpage=show-project&amp;project_id=<?php echo $league->teamroster ?>"><?php _e( 'Team Roster', 'leaguemanager' ); ?></a></li>
	<?php endif; ?>
	</ul>


	<?php if ( $league->mode == 'championship' ) : ?>
		<?php $league->championship->displayAdminPage(); ?>
	<?php else : ?>
		<div id="tabs" class="league-blocks">
			<ul class="tablist">
				<li><a href="#standings-table"><?php _e( 'Standings', 'leaguemanager' ) ?></a></li>
				<li><a href="#crosstable"><?php _e( 'Crosstable', 'leaguemanager' ) ?></a></li>
				<li><a href="#matches-table"><?php _e( 'Match Plan', 'leaguemanager' ) ?></a></li>
			</ul>
			
			<!-- standings table -->
			<div id="standings-table" class="league-block-container">
				<h2 class="header"><?php _e( 'Table', 'leaguemanager' ) ?></h2>
				<div class="alignright">
					<form action="admin.php" method="get">
					<input type="hidden" name="page" value="leaguemanager" />
					<input type="hidden" name="subpage" value="show-league" />
					<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
					
					<?php echo $league->getStandingsSelection(); ?>
					<input type="submit" class="button-secondary" value="<?php _e( 'Show', 'leaguemanager' ) ?>" />
					</form>
				</div>
				<?php include_once('standings.php'); ?>
			</div>
			
			<!-- crosstable -->
			<div id="crosstable" class="league-block-container">
				<h2 class="header"><?php _e( 'Crosstable', 'leaguemanager' ) ?></h2>
				<?php include('crosstable.php'); ?>
			</div>
		
			<!-- match table -->
			<div id="matches-table" class="league-block-container">
				<h2 class="header"><?php _e( 'Match Plan','leaguemanager' ) ?></h2>
				<?php include('matches.php'); ?>
			</div>
		</div>
	<?php endif; ?>
</div>