<?php
/**
 * Standings table administration panel
 *
 */
 namespace ns;
?>
<form id="teams-filter" action="" method="post" name="standings">
<input type="hidden" name="js-active" value="0" class="js-active" />
<input type="hidden" name="jquery-ui-tab" value="0" class="jquery_ui_tab_index" />

	<?php wp_nonce_field( 'teams-bulk' ) ?>

	<div class="tablenav">
		<!-- Bulk Actions -->
		<select name="action-teams" size="1">
			<option value="-1" selected="selected"><?php _e('Bulk Actions') ?></option>
			<option value="delete"><?php _e('Delete')?></option>
		</select>
		<input type="submit" value="<?php _e('Apply'); ?>" name="doaction-teams" id="doaction-teams" class="button-secondary action" />
	</div>
		
	<table id="standings" class="widefat wp-list-table leagues form-table standings-table" summary="" title="<?php _e( 'Table', 'leaguemanager' ) ?>">
	<thead>
	<tr>
		<th scope="col" class="manage-column column-cb check-column"><input type="checkbox" /></th>
		<th class="manage-column column-title column-primary"><?php _e( 'Club', 'leaguemanager' ) ?></th>
		<th class="manage-column column-logo">&#160;</th>
		<?php if ( show_standings('status') ) : ?>
		<!--<th class="manage-column column-status num">&#160;</th>-->
		<?php endif; ?>
		<th class="manage-column column-rank column-num"><?php _e( 'Rank', 'leaguemanager' ) ?></th>
		<?php if ( !empty($league->groups) && $league->mode == 'championship' ) : ?><th class="num manage-column column-group"><?php _e( 'Group', 'leaguemanager' ) ?></th><?php endif; ?>
		<?php if ( 1 == $league->standings['pld'] || $league->point_rule == 'manual' ) : ?><th class="manage-column column-pld column-num"><?php _e( 'Pld', 'leaguemanager' ) ?></th><?php endif; ?>
		<?php if ( 1 == $league->standings['won'] || $league->point_rule == 'manual' ) : ?><th class="manage-column column-won column-num"><?php _e( 'W','leaguemanager' ) ?></th><?php endif; ?>
		<?php if ( 1 == $league->standings['tie'] || $league->point_rule == 'manual' ) : ?><th class="manage-column column-tie column-num"><?php _e( 'T','leaguemanager' ) ?></th><?php endif; ?>
		<?php if ( 1 == $league->standings['lost'] || $league->point_rule == 'manual' ) : ?><th class="manage-column column-lost column-num"><?php _e( 'L','leaguemanager' ) ?></th><?php endif; ?>
		<?php if ( 1 == $league->standings['winPercent'] ) : ?><th class="manage-column column-winPercent column-num"><?php _e( 'PCT','leaguemanager' ) ?></th><?php endif; ?>
		<?php $league->displayStandingsHeader(); ?>
		<th class="manage-column column-points column-num"><?php _e( 'Pts', 'leaguemanager' ) ?></th>
		<th class="manage-column column-extrapoints column-num"><?php _e( '+/-', 'leaguemanager' ) ?></th>
		<!--<th class="manage-column column-ID column-num"><?php _e( 'ID', 'leaguemanager' ) ?></th>-->
	</tr>
	</thead>
	<tbody id="<?php echo ( $league->mode == 'championship' ) ? "the-list-standings-".$group : "the-list-standings" ?>" class="the-list standings-table <?php if ($league->team_ranking == 'manual') echo 'sortable' ?>">
	<?php if ( count($teams) > 0 ) : $class = ''; ?>
	<?php foreach( $teams AS $i => $team ) : $class = ( 'alternate' == $class ) ? '' : 'alternate'; ?>
	<tr class="<?php echo $class ?>" id="team_<?php echo $team->id ?>">
		<th scope="row" class="check-column"><input type="hidden" name="team_id[<?php echo $team->id ?>]" value="<?php echo $team->id ?>" /><input type="checkbox" value="<?php echo $team->id ?>" name="team[<?php echo $team->id ?>]" /></th>
		<td class="column-title column-primary" data-colname="<?php _e( 'Club', 'leaguemanager' ) ?>">
			<a href="admin.php?page=leaguemanager&amp;subpage=team&amp;league_id=<?php echo $league->id ?>&amp;edit=<?php echo $team->id; ?>"><?php if ($team->home == 1) echo "<strong>".$team->title."</strong>"; else echo $team->title; ?></a>
			
			<button class="toggle-row" type="button"></button>
		</td>
		<td class="column-logo" data-colname="">
		<?php if ( !empty($team->logo) ) : ?>
			<img src="<?php echo $team->getImageUrl($team->logo, 'tiny') ?>" alt="<?php _e( 'Logo', 'leaguemanager' ) ?>" title="<?php _e( 'Logo', 'leaguemanager' ) ?> <?php echo $team->title ?>" />
		<?php endif; ?>
		</td>
		<?php if ( show_standings('status') ) : ?>
		<!--<td class="num column-status" data-colname="<?php _e( 'Status', 'leaguemanager' ) ?>"><?php echo $team->status ?></td>-->
		<?php endif; ?>
		<td class="column-num column-rank" data-colname="<?php _e( 'Rank', 'leaguemanager' ) ?>">
			<?php if ( show_standings('status') ) : ?><span class="status"><?php echo $team->status ?></span><?php endif; ?>
			
			<?php if ($league->team_ranking == 'manual') : ?>
			<input type="text" name="rank[<?php echo $team->id ?>]" size="2" id="rank_<?php echo $team->id ?>" class="rank-input" value="<?php echo $team->rank ?>" />
			<?php else : ?>
			<?php echo $team->rank ?>
			<?php endif; ?>
		</td>
		<?php if ( !empty($league->groups) && $league->mode == 'championship' ) : ?><td class="num column-group" data-colname="<?php _e( 'Group', 'leaguemanager' ) ?>"><?php echo $team->group ?></td><?php endif; ?>
		<?php if ( $league->point_rule != 'manual' ) : ?>
			<?php if ( 1 == $league->standings['pld'] ) : ?><td class="column-num column-pld" data-colname="<?php _e( 'Pld', 'leaguemanager' ) ?>"><?php echo $team->done_matches ?></td><?php endif; ?>
			<?php if ( 1 == $league->standings['won'] ) : ?><td class="column-num column-won" data-colname="<?php _e( 'W', 'leaguemanager' ) ?>"><?php echo $team->won_matches ?></td><?php endif; ?>
			<?php if ( 1 == $league->standings['tie'] ) : ?><td class="column-num column-tie" data-colname="<?php _e( 'T', 'leaguemanager' ) ?>"><?php echo $team->draw_matches ?></td><?php endif; ?>
			<?php if ( 1 == $league->standings['lost'] ) : ?><td class="column-num column-lost" data-colname="<?php _e( 'L', 'leaguemanager' ) ?>"><?php echo $team->lost_matches ?></td><?php endif; ?>
			<?php if ( 1 == $league->standings['winPercent'] ) : ?><td class="column-num column-winPercent" data-colname="<?php _e( 'PCT', 'leaguemanager' ) ?>"><?php echo $team->winPercent ?></td><?php endif; ?>
		<?php else : ?>
			<?php if ( 1 == $league->standings['pld'] || $league->point_rule == 'manual' ) : ?>
			<td class="column-num column-pld" data-colname="<?php _e( 'Pld', 'leaguemanager' ) ?>">
				<input type="text" size="2" name="num_done_matches[<?php echo $team->id ?>]" value="<?php echo $team->done_matches  ?>" />
			</td>
			<?php endif; ?>
			<?php if ( 1 == $league->standings['won'] || $league->point_rule == 'manual' ) : ?>
			<td class="column-num column-won" data-colname="<?php _e( 'W', 'leaguemanager' ) ?>">
				<input type="text" size="2" name="num_won_matches[<?php echo $team->id ?>]" value="<?php echo $team->won_matches  ?>" />
			</td>
			<?php endif; ?>
			<?php if ( 1 == $league->standings['tie'] || $league->point_rule == 'manual' ) : ?>
			<td class="column-num column-tie" data-colname="<?php _e( 'T', 'leaguemanager' ) ?>">
				<input type="text" size="2" name="num_draw_matches[<?php echo $team->id ?>]" value="<?php echo $team->draw_matches ?>" />
			</td>
			<?php endif; ?>
			<?php if ( 1 == $league->standings['lost'] || $league->point_rule == 'manual' ) : ?>
			<td class="column-num column-lost" data-colname="<?php _e( 'L', 'leaguemanager' ) ?>">
				<input type="text" size="2" name="num_lost_matches[<?php echo $team->id ?>]" value="<?php echo $team->lost_matches ?>" />
			</td>
			<?php endif; ?>
			<?php if ( 1 == $league->standings['winPercent'] ) : ?>
			<td class="column-num column-winPercent" data-colname="<?php _e( 'PCT', 'leaguemanager' ) ?>"><?php echo $team->winPercent ?></td>
			<?php endif; ?>
		<?php endif; ?>
		<?php $league->displayStandingsColumns($team, $league->point_rule); ?>
		<td class="column-num column-points column-input input-twocolumn" data-colname="<?php _e( 'Pts', 'leaguemanager' ) ?>">
		<?php if ( $league->point_rule != 'manual' ) : ?>
			<?php printf($league->point_format, $team->points_plus, $team->points_minus) ?>
		<?php else : ?>
			<input type="text" size="2" name="points_plus[<?php echo $team->id ?>]" value="<?php echo $team->points_plus ?>" /><input type="text" size="2" name="points_minus[<?php echo $team->id ?>]" value="<?php echo $team->points_minus ?>" />
		<?php endif; ?>
		</td>
		<td class="column-num coloumn-extrapoints" data-colname="<?php _e( '+/- Points', 'leaguemanager' ) ?>">
			<input type="text" size="2" id="add_points_<?php echo $team->id ?>" name="add_points[<?php echo $team->id ?>]" value="<?php echo $team->add_points ?>" onblur="Leaguemanager.saveExtraPoints('<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php', '<?php echo LEAGUEMANAGER_URL; ?>', this.value, <?php echo $team->id ?>, <?php echo $league->id ?>);" /><span class="loading" id="loading_<?php echo $team->id ?>"></span>
		</td>
		<!--<td class="column-num column-ID" data-colname="<?php _e( 'ID', 'leaguemanager' ) ?>"><?php echo $team->id ?></td>-->
	</tr>
	<?php endforeach; ?>
	<?php endif; ?>
	</tbody>
</table>
		
<?php if ( $league->team_ranking == 'manual' && $league->mode != 'championship' ) : ?>
<script type='text/javascript'>
</script>
<?php endif; ?>

<?php if ( $league->point_rule == 'manual' ) : ?>
	<input type="hidden" name="updateLeague" value="teams_manual" />
	<p class="submit alignright"><input type="submit" value="<?php _e( 'Save Standings', 'leaguemanager' ) ?>" class="button button-primary" /></p>
<?php endif; ?>

<?php if ( $league->team_ranking == 'manual' && $league->mode != 'championship' ) : ?>
	<p class="submit"><input type="submit" name="updateRanking" value="<?php _e( 'Save Ranking', 'leaguemanager' ) ?>" class="button button-primary" /></p>
<?php endif; ?>

</form>