<?php
/**
 * Team administration panel
 *
 */
 namespace ns;
?>
<script type="javascript">
Leaguemanager.reInit();
</script>

<div class="wrap league-block">
	<p class="leaguemanager_breadcrumb"><a href="admin.php?page=leaguemanager"><?php _e( 'LeagueManager', 'leaguemanager' ) ?></a> &raquo; <a href="admin.php?page=leaguemanager&amp;subpage=show-league&amp;league_id=<?php echo $league->id ?>"><?php echo $league->title ?></a> &raquo; <?php echo $form_title ?></p>
	<h1><?php printf( "%s &mdash; %s",  $league->title, $form_title ); ?></h1>

	<form action="admin.php?page=leaguemanager&amp;subpage=show-league&amp;league_id=<?php echo $league->id ?>&amp;season=<?php echo $league->getSeason() ?><?php if(!empty($league->getGroup())) echo '&amp;group=' . $league->getGroup(); ?>" method="post" enctype="multipart/form-data" name="team_edit">		
		<?php wp_nonce_field( 'leaguemanager_manage-teams' ) ?>

		<table class="form-table teams">
		<tr valign="top">
			<th scope="row"><label for="team"><?php _e( 'Team', 'leaguemanager' ) ?></label></th>
			<td>
				<input type="text" id="team" name="team" class="form-input" value="<?php echo $team->title ?>" />
				<?php if ( $team->id == 0 ) : ?>
					<div id="teams_db" class="leaguemanager_thickbox_container"><div>
						<select size="1" name="team_db_select" id="team_db_select">
							<option value=""><?php _e( 'Choose Team', 'leaguemanager' ) ?></option>
							<?php $this->teamsDropdownCleaned() ?>
						</select>

						<div class="buttons"><input type="button" value="<?php _e('Insert', 'leaguemanager') ?>" class="button-secondary" onClick="Leaguemanager.getTeamFromDatabase('<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php'); return false;" />&#160;<input type="button" value="<?php _e('Cancel', 'leaguemanager') ?>" class="button-secondary" onClick="tb_remove();" /></div>
					</div></div>

					<a class="thickbox" href="#TB_inline&amp;width=300&amp;height=80&amp;inlineId=teams_db" title="<?php _e( 'Add Team from Database', 'leaguemanager' ) ?>"><img src="<?php echo LEAGUEMANAGER_URL ?>/admin/icons/database.png" alt="<?php _e( 'Add Team from Database', 'leaguemanager' ) ?>" title="<?php _e( 'Add Team from Database', 'leaguemanager' ) ?>" /></a>
				<?php endif; ?>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo"><?php _e( 'Logo', 'leaguemanager' ) ?></label></th>
			<td>
				<div id="logo_library" class="leaguemanager_thickbox_container">
					<p>http://<input type="text" id="logo_library_url" size="30" /></p>
					<div class="buttons"><input type="button" value="<?php _e('Insert', 'leaguemanager') ?>" class="button-secondary" onClick="Leaguemanager.insertLogoFromLibrary('<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php'); return false;" />&#160;<input type="button" value="<?php _e('Cancel', 'leaguemanager') ?>" class="button-secondary" onClick="tb_remove();" /></div>
				</div>
				<div class="alignright" id="logo_db_box">
					<?php if ( '' != $team->logo ) : ?>
					<img id="logo_image" src="<?php echo $team->getImageUrl($team->logo, 'thumb'); ?>" />
					<?php endif; ?>
				</div>

				<input type="file" name="logo" id="logo" size="35"/>&#160;<a class="thickbox" href="#TB_inline&amp;width=350&amp;height=100&amp;inlineId=logo_library" title="<?php _e( 'Add Logo from Url', 'leaguemanager' ) ?>"><img src="<?php echo LEAGUEMANAGER_URL ?>/admin/icons/image.png" alt="<?php _e( 'Add Logo from Url', 'leaguemanager' ) ?>" title="<?php _e( 'Add Logo from Url', 'leaguemanager' ) ?>" /></a>

				<p><?php _e( 'Supported file types', 'leaguemanager' ) ?>: <?php echo implode( ',',$this->getSupportedImageTypes() ); ?></p>
					
				<?php if ( $team->logo != "" ) : ?>
					<p class="logo-actions"><span class="overwrite-logo"><input type="checkbox" id="overwrite_image" name="overwrite_image" value="1" /><label for="overwrite_image"><?php _e( 'Overwrite existing image', 'leaguemanager' ) ?></label></span><span class="del-logo"><input type="checkbox" id="del_logo" name="del_logo" value="1" /><label for="del_logo"><?php _e( 'Delete Logo', 'leaguemanager' ) ?></label></span></p>
				<?php endif; ?>
				<input type="hidden" name="logo_db" id="logo_db" value="<?php echo $team->logo ?>" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="website"><?php _e( 'Website', 'leaguemanager' ) ?></label></th><td><input type="text" class="form-input" name="website" id="website" value="<?php echo $team->website ?>" /></td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="coach"><?php _e( 'Coach', 'leaguemanager' ) ?></label></th><td><input type="text" class="form-input" name="coach" id="coach" value="<?php echo $team->coach ?>" /></td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="stadium"><?php _e( 'Stadium', 'leaguemanager' ) ?></label></th><td><input type="text" class="form-input" name="stadium" id="stadium" value="<?php echo $team->stadium ?>" /></td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="home"><?php _e( 'Home Team', 'leaguemanager' ) ?></label></th><td><input type="checkbox" name="home" id="home"<?php if ($team->home == 1) echo ' checked="checked""' ?>/></td>
		</tr>
		<?php if ( !empty($league->groups) ) : ?>
		<tr valign="top">
			<th scope="row"><label for="group"><?php _e( 'Group', 'leaguemanager' ) ?></label></th>
			<td>
				<select size="1" name="group" id="group">
				<?php foreach ( $league->groups AS $group ) : ?>
				<option value="<?php echo $group ?>" <?php selected( $group, $team->group ) ?>><?php echo $group ?></option>
				<?php endforeach; ?>
				</select>
			</td>
		</tr>
		<?php endif; ?>
		
		<?php if ( $this->hasProjectManager() && $league->hasTeamProfiles() ) : ?>
		<?php $project = get_project($league->teamprofiles); ?>
		<tr valign="top">
			<th scope="row"><label for="profile"><?php _e( 'Team Profile', 'leaguemanager' ) ?></label></th>
			<td>
				<select size="1" name="profile" id="profile">
					<option value="0"><?php _e('None','leaguemanager') ?></option>
					<?php foreach ( $project->getDatasets( array("limit" => false) ) AS $dataset ) : ?>
					<option value="<?php echo $dataset->id ?>"<?php selected($dataset->id, $team->profile) ?>><?php echo $dataset->name ?></option>
					<?php endforeach; ?>
				</select>
			</td>
		</tr>
		<?php endif; ?>
		<?php if ( $this->hasProjectManager() && $league->hasTeamRoster() ) : ?>
		<?php $project = get_project($league->teamroster); ?>
		<tr valign="top">
			<th scope="row"><label for="roster"><?php _e( 'Team Roster', 'leaguemanager' ) ?></label></th>
			<td>
				<select size="1" name="roster" id="roster">
					<option value="0"><?php _e('None','leaguemanager') ?></option>
					<?php foreach ( $project->getCategories() AS $category ) : ?>
					<option value="<?php echo $category->id ?>"<?php selected($category->id, $team->roster) ?>><?php echo $category->title ?></option>
					<?php endforeach; ?>
				</select>
			</td>
		</tr>
		<?php endif; ?>
		</table>
		<?php //do_action( 'team_edit_form_'.$league->sport, $team ) ?>
		<?php do_action( 'team_edit_form', $team ) ?>

		<input type="hidden" name="team_id" value="<?php echo $team->id ?>" />
		<input type="hidden" name="league_id" value="<?php echo $league->id ?>" />
		<input type="hidden" name="updateLeague" value="team" />
		<input type="hidden" name="season" value="<?php echo $league->getSeason(); ?>" />

		<p class="submit"><input type="submit" value="<?php echo $form_title ?>" class="button button-primary" /></p>
	</form>
</div>