<?php
/**
 * League_Cornhole API: League_Cornhole class
 *
 * @package LeagueManager
 * @subpackage League_Cornhole
 */
 
 
add_filter( 'leaguemanager_sports', 'leaguemanager_sports_cornhole' );
/**
 * add cornhole to list
 *
 * @param array $sports
 * @return array
 */
function leaguemanager_sports_cornhole( $sports ) {
	$sports['cornhole'] = __( 'Cornhole', 'leaguemanager' );
	return $sports;
}

 
/**
 * Class to implement the League_Cornhole object
 *
 */
final class League_Cornhole extends League {
	/**
	 * sports key
	 *
	 * @var string
	 */
	public $sport = 'cornhole';


	/**
	 * load custom setings
	 *
	 * @param object $league League object
	 */
	public function __construct( $league ) {
		parent::__construct($league);
		
		add_filter( 'team_points_'.$this->sport, array(&$this, 'calculatePoints'), 10, 4 );
	}

	
	/**
	 * Filter primary points and add match score
	 *
	 * @param array $points
	 * @param int $team_id
	 * @param array $rule
	 * @param array $matches
	 * @return array
	 */
	public function calculatePoints( $points, $team_id, $rule, $matches ) {
		foreach ( $matches AS $match ) {
			if ( $match->home_team == $team_id ) {
				$points['plus'] += $match->home_points;
				$points['minus'] += $match->away_points;
			} else {
				$points['plus'] += $match->away_points;
				$points['minus'] += $match->home_points;
			}
		}

		return $points;
	}
}
?>