<?php
/**
 * League_IrishGaelicFootball API: League_IrishGaelicFootball class
 *
 * @package LeagueManager
 * @subpackage League_IrishGaelicFootball
 */
 
 
add_filter( 'leaguemanager_sports', 'leaguemanager_sports_irishGaelicFootball' );
/**
 * add irishGaelicFootball to list
 *
 * @param array $sports
 * @return array
 */
function leaguemanager_sports_irishGaelicFootball( $sports ) {
	$sports['irishGaelicFootball'] = __( 'Irish Gaelic Football', 'leaguemanager' );
	return $sports;
}

 
/**
 * Class to implement the League_IrishGaelicFootball object
 *
 */
final class League_IrishGaelicFootball extends League {
	/**
	 * sports key
	 *
	 * @var string
	 */
	public $sport = 'irishGaelicFootball';

	
	/**
	 * load custom setings
	 *
	 * @param object $league League object
	 */
	public function __construct($league) {
		parent::__construct($league);
		
		$fields = array( 'num_goals' => __( 'Goals', 'leaguemanager' ), 'num_points' => __( 'Points', 'leaguemanager' ) );
		foreach ( $fields AS $key => $label ) {
			$this->fields_match[$key] = array('label' => $label, 'keys' => array('home', 'away'));
		}
	}
	
	
	/**
	 * update match results and automatically score
	 *
	 * @param Match $match
	 * @return Match
	 */
	protected function updateResults( $match ) {
		if ( $match->num_goals['home'] != '' && $match->num_goals['away'] != '' && $match->num_points['home'] != '' && $match->num_points['away'] != '' ) {
			$score['home'] = $match->num_goals['home'] * 3 + $match->num_points['home'];
			$score['away'] = $match->num_goals['away'] * 3 + $match->num_points['away'];

			$match->winner_id = $match->getResult( $score['home'], $score['away'], $match->home_team, $match->away_team, 'winner' );
			$match->loser_id =  $match->getResult( $score['home'], $score['away'], $match->home_team, $match->away_team, 'loser' );
			$match->home_points = $score['home'];
			$match->away_points = $score['away'];
		}
		
		return $match;
	}
}
?>