<?php
/**
 * Tennis archive template
 */
 namespace ns;
?>
<div id="leaguemanager_archive_selections">
	<form method="get" action="<?php get_permalink(get_the_ID()) ?>">
		<input type="hidden" name="page_id" value="<?php the_ID() ?>" />
		<select size="1" name="league_id">
			<option value=""><?php _e( 'League', 'leaguemanager' ) ?></option>
			<?php foreach ( $leagues AS $l ) : ?>
			<option value="<?php echo $l->id ?>"<?php selected($l->id, get_league_id()) ?>><?php echo $l->title ?></option>
			<?php endforeach ?>
		</select>
		<select size="1" name="season">
			<option value=""><?php _e( 'Season', 'leaguemanager' ) ?></option>
			<?php foreach ( $leagues AS $l ) : ?>
			<optgroup label="<?php echo $l->title ?>">
				<!--<option value=""><?php _e( 'Season', 'leaguemanager' ) ?></option>-->
				<?php foreach ( $l->seasons AS $key => $season ) : ?>
				<option value="<?php echo $key ?>" <?php selected($season['name'], $l->season) ?>><?php echo $season['name'] ?></option>
				<?php endforeach ?>
			</optgroup>
			<?php endforeach; ?>
		</select>
		<input type="submit" class="submit" value="<?php _e( 'Show' ) ?>" />
	</form>
</div>

<div class="jquery-ui-tabs">
	<ul class="tablist">
		<li><a href="#standings-archive"><?php _e( 'Standings', 'leaguemanager' ) ?></a></li>
		<li><a href="#matches-archive"><?php _e( 'Matches', 'leaguemanager' ) ?></a></li>
	</ul>
	
	<!-- Standings Table -->
	<div id="standings-archive">
		<h4 class="header"><?php _e('Standings', 'leaguemanager') ?></h4>
		<?php leaguemanager_standings( get_league_id(), array('season' => get_current_season(), 'template' => get_league_template('standingstable')) ) ?>
	</div>
	
	<!-- Match Overview -->
	<div id="matches-archive">
		<h4 class="header"><?php _e('Matches', 'leaguemanager') ?></h4>
		<?php leaguemanager_matches( get_league_id(), array('season' => get_current_season(), 'match_day' => 'current' , 'show_match_day_selection' => 'true', 'template' => get_league_template('matches')) ) ?>
	</div>
</div>