<?php
/**
 * Championship template
 */
 namespace ns;
?>
<h3><?php _e( 'Final Results', 'leaguemanager' ) ?></h3>
<table class="widefat matchtable finals">
<thead>
<tr>
	<th scope="col"><?php _e( 'Round', 'leaguemanger' ) ?></th>
	<th scope="col" colspan="<?php echo $league->finals[0]->colspan; ?>" class="textcenter"><?php _e( 'Matches', 'leaguemanager' ) ?></th>
</tr>
<tbody>
<?php foreach ( $league->finals AS $final ) : ?>
<tr class="">
	<th scope="row"><strong><?php echo $final->name ?></strong></th>
	<?php foreach ( $final->matches AS $no => $match ) : ?>
	<td colspan="<?php echo $final->colspan ?>" class="textcenter">
		<?php if ( $final->is_final ) : ?>
		<p><span class="final_home"></span><?php echo $match->match_title ?><span class="final_away"></span></p>
		<?php else : ?>
		<p><?php echo $match->match_title ?></p>
		<?php endif; ?>

		<?php if ( $final->is_finished ) : ?>
		<script type="text/javascript">
			jQuery('span.<?php echo $final->field_id ?>').html('<?php echo addslashes_gpc($league->championship->cup_icon) ?>').fadeIn('fast');
		</script>
		<?php endif; ?>

		<p><strong><?php echo $match->score ?></strong></p>
	</td>
	<?php if ( $no%4 == 0 && $no < $final->num_matches ) : ?>
	</tr><tr class="<?php echo $final->class ?>"><th>&#160;</th>
	<?php endif; ?>

	<?php endforeach; ?>
</tr>
<?php endforeach ?>
</tbody>
</table>


<h3><?php _e( 'Final Matches', 'leaguemanager' ) ?></h3>
<div class="jquery-ui-tabs">
	<ul class="tablist">
	<?php foreach ( $league->finals AS $final ) : ?>
		<li><a href="#final-<?php echo $final->key ?>"><?php echo $final->name ?></a></li>
	<?php endforeach; ?>
	</ul>
	
	<?php foreach ( $league->finals AS $final ) : ?>
	<div id="final-<?php echo $final->key ?>">
		<h4 class="header"><?php echo $final->name ?></h4>
		
		<table class='leaguemanager matchtable' summary='' title='<?php printf(__( 'Match Plan &mdash; %s', 'leaguemanager' ), $final->name) ?> <?php the_league_title() ?>'>
		<tr>
			<th class='match'><?php _e( 'Match', 'leaguemanager' ) ?></th>
			<th class='score'><?php _e( 'Score', 'leaguemanager' ) ?></th>
		</tr>
		<?php foreach ( $final->matches AS $no => $match ) : ?>
		<tr class='<?php echo $match->class ?>'>
			<td class='match'><?php printf("%s %s %s", $match->match_date, $match->start_time, $match->location) ?><br /><a href="<?php echo $match->pageURL ?>"><?php echo $match->match_title ?></a> <?php echo $match->report ?></td>
			<td class='score' valign='bottom'><?php echo $match->score ?></td>
		</tr>
		<?php endforeach; ?>
		</table>
	</div>
	<?php endforeach; ?>
</div>


<h3><?php _e( 'Preliminary Rounds', 'leaguemanager' ) ?></h3>
<div class="jquery-ui-tabs">
	<ul class="tablist">
		<?php foreach ( $league->championship->getGroups() AS $key => $group ) : ?>
		<li><a href="#group-<?php echo $group ?>"><?php printf(__('Group %s', 'leaguemanager'), $group) ?></a></li>
		<?php endforeach ?>
		<!--<li><a href="#intergroup-matches"><?php _e( 'Inter Group Matches', 'leaguemanager' ) ?></a></li>-->
	</ul>
	<?php foreach ( $league->championship->getGroups() AS $key => $group ) : ?>
	<div id="group-<?php echo $group ?>">
		<h4 class="header"><?php printf(__('Group %s', 'leaguemanager'), $group) ?></h4>
		<h5><?php _e( 'Standings', 'leaguemanager' ) ?></h5>
		<?php leaguemanager_standings( $league->id, array('group' => $group, 'template' => '') ); ?>

		<h5><?php _e( 'Match Plan', 'leaguemanager' ) ?></h5>
		<?php leaguemanager_matches( $league->id, array('limit' => false, 'group' => $group, 'match_day' => -1) ); ?>
	</div>
	<?php endforeach; ?>

	<div id="intergroup-matches">
		<!--<h4 class="header"><?php _e( 'Inter Group Matches', 'leaguemanager' ) ?></h5>-->
		<?php //leaguemanager_matches( $league->id, array('season' => $league->season, 'group' => '', 'limit' => 'false') ); ?>
	</div>
</div>