<?php
/**
 * League template
 */
 namespace ns;
?>
<script type='text/javascript'>
	jQuery(function() {
		jQuery("#leaguemanager_tabs_league-<?php the_league_id() ?>").tabs({
			active: <?php the_league_archive_tab(); ?>
		});
	});
</script>
<?php if (!is_league_archive()) : ?><h2><?php the_league_title(); ?></h2><?php endif; ?>

<?php if ( $league->mode == 'championship' ) : ?>
	<?php leaguemanager_championship( 0, array('season' => get_current_season()) ); ?>
<?php else : ?>
	<div id="leaguemanager_tabs_league-<?php the_league_id() ?>" class="jquery-ui-tabs">
		<ul class="tablist">
			<li><a href="#standings-archive-<?php the_league_id() ?>"><?php _e( 'Standings', 'leaguemanager' ) ?></a></li>
			<li><a href="#crosstable-archive-<?php the_league_id() ?>"><?php _e( 'Crosstable', 'leaguemanager' ) ?></a></li>
			<li><a href="#matches-archive-<?php the_league_id() ?>"><?php _e( 'Matches', 'leaguemanager' ) ?></a></li>
			<li><a href="#teams-archive-<?php the_league_id() ?>"><?php _e( 'Teams', 'leaguemanager' ) ?></a></li>
		</ul>

		<!-- Standings Table -->
		<div id="standings-archive-<?php the_league_id() ?>" class="jquery-ui-tab">
			<h4 class="tab-header"><?php _e('Standings', 'leaguemanager') ?></h4>
			<?php leaguemanager_standings( 0, array('season' => get_current_season(), 'template' => get_league_template('standingstable')) ) ?>
		</div>
	
		<!-- Crosstable -->
		<div id="crosstable-archive-<?php the_league_id() ?>" class="jquery-ui-tab">
			<h4 class="tab-header"><?php _e('Crosstable', 'leaguemanager') ?></h4>
			<?php leaguemanager_crosstable( 0, array('season' => get_current_season(), 'template' => get_league_template('crosstable')) ) ?>
		</div>
		
		<!-- Match Overview -->
		<div id="matches-archive-<?php the_league_id() ?>" class="jquery-ui-tab">
			<h4 class="tab-header"><?php _e('Matches', 'leaguemanager') ?></h4>
			<?php leaguemanager_matches( 0, array('season' => get_current_season(), 'match_day' => 'current' , 'show_match_day_selection' => 'true', 'template' => get_league_template('matches'), 'template_type' => get_match_template_type()) ) ?>
		</div>
			
		<!-- Teamlist -->
		<div id="teams-archive-<?php the_league_id() ?>" class="jquery-ui-tab">
			<h4 class="header"><?php _e('Teams', 'leaguemanager') ?></h4>
			<?php leaguemanager_teams( 0, array('season' => get_current_season(), 'template' => get_league_template('teams')) ) ?>
		</div>
	</div>
<?php endif; ?>