<?php
/**
 * Slim standings table template
 */
 namespace ns;
?>
<?php if ( is_team() && !$widget ) : ?>
	<?php the_single_team(); ?>
<?php elseif ( have_teams() ) : ?>

<table class="leaguemanager standingstable" summary="" title="<?php _e( 'Standings', 'leaguemanager' ) ?> <?php the_league_title(); ?>">
<thead>
<tr>
	<th class="num"><?php echo _e( 'Pos', 'leaguemanager' ) ?></th>
	<th class="num">&#160;</th>
	<?php if ( league_show_logo() ) : ?><th class="logo">&#160;</th><?php endif; ?>

	<th><?php _e( 'Team', 'leaguemanager' ) ?></th>
	<?php if ( show_standings('pld') ) : ?>
	<th class="num"><?php _e( 'Pld', 'leaguemanager' ) ?></th>
	<?php endif; ?>
	<th class="num"><?php _e( 'Pts', 'leaguemanager' ) ?></th>
</tr>
</thead>
<tbody>
<?php while( have_teams() ) : the_team(); ?>

<tr class='<?php the_team_class(); ?>'>
	<td class='num'><span class="rank"><?php the_team_rank(); ?></span></td>
	<td class="num"><?php the_team_status(); ?></td>
	<?php if ( league_show_logo() ) : ?><td class="logo"><?php if ( team_has("logo") ) : ?><?php the_team_logo('tiny'); ?><?php endif; ?></td><?php endif; ?>

	<td><?php the_team_name_url(show_standings('team_link')) ?></td>
	<?php if ( show_standings('pld') ) : ?>
	<td class='num'><?php num_done_matches(); ?></td>
	<?php endif; ?>
	<td class='num'><?php the_team_points(); ?></td>
</tr>
<?php endwhile; ?>
</tbody>
</table>

<?php endif; ?>