<?php
/**
 * Team template
 */
 namespace ns;
?>
<div class="teampage">
	<h3 class="header"><?php the_team_name(); ?></h3>

	<div class="team-content">
		<dl class="team">
			<dt><?php _e( 'Rank', 'leaguemanager' ) ?></dt><dd><?php the_team_rank(); ?></dd>
			<dt><?php _e( 'Matches', 'leaguemanager' ) ?></dt><dd><?php num_done_matches(); ?></dd>
			<dt><?php _e( 'Won', 'leaguemanager' ) ?></dt><dd><?php num_won_matches(); ?></dd>
			<dt><?php _e( 'Tied', 'leaguemanager' ) ?></dt><dd><?php num_draw_matches(); ?></dd>
			<dt><?php _e( 'Lost', 'leaguemanager' ) ?></dt><dd><?php num_lost_matches(); ?></dd>
			<?php if ( team_has("coach") ) : ?>
			<dt><?php _e( 'Coach', 'leaguemanager' ) ?></dt><dd><?php the_team_coach(); ?></dd>
			<?php endif; ?>
			<?php if ( team_has("website") ) : ?>
			<dt><?php _e( 'Website', 'leaguemanager' ) ?></dt><dd><a href="<?php the_team_website(); ?>" target="_blank"><?php the_team_website(); ?></a></dd>
			<?php endif; ?>
			<?php if ( has_profile() ) : ?>
			<?php //the_team_profile_data(); ?>
			<?php endif; ?>
		</dl>

		<?php if ( team_has("logo") ) : ?>
		<p class="teamlogo alignright"><?php the_team_logo(); ?></p>
		<?php endif; ?>
		
		<div class="matches">			
			<?php if ( has_next_match() ) : ?>
			<div class="matches-container">
			<div class="next_match">
				<h4 class="header"><?php _e( 'Next Match','leaguemanager' ) ?></h4>
				<div class="content">
					<p class="match"><?php echo the_match_title(); ?></p>
					<p class='match_day'><?php printf(__("<strong>%d.</strong> Match Day", 'leaguemanager'), get_match_day()); ?></p>
					<p class='match_date'><?php the_match_date("j. F Y"); ?>&#160;<span class='time'><?php the_match_time(); ?></span> <span class='location'><?php the_match_location(); ?></span></p>
					<p class="score">&#160;</p>
				</div>
			</div>
			</div>
			<?php endif; ?>

			<?php if ( has_prev_match() ) : ?>
			<div class="matches-container">
			<div class="prev_match">
				<h4 class="header"><?php _e( 'Last Match','leaguemanager' ) ?></h4>
				<div class="content">
					<p class="match"><?php echo the_match_title(); ?></p>
					<p class='match_day'><?php printf(__("<strong>%d.</strong> Match Day", 'leaguemanager'), get_match_day()); ?></p>
					<p class='match_date'><?php the_match_date("j. F Y"); ?>&#160;<span class='time'><?php the_match_time(); ?></span> <span class='location'><?php the_match_location(); ?></span></p>
					<p class="score">&#160;</p>
				</div>
			</div>
			</div>
			<?php endif; ?>
		</div>

		<?php if ( team_roster_exists() ) : ?>
		<div class="team-projectmanager<?php if ( has_roster_tabs() ) echo ' jquery-ui-tabs'; ?>">
			<ul class="tablist hide">
				<li><a href="#roster-<?php the_team_id(); ?>"><?php _e( 'Team Roster', 'leaguemanaager' ) ?></a></li>
				<li><a href="#profile-<?php the_team_id(); ?>"><?php _e( 'Team Profile', 'leaguemanaager' ) ?></a></li>
			</ul>
			
			<?php if ( has_roster() ) : ?>
			<div id="roster-<?php the_team_id(); ?>" class="tab">
				<h4 class="header"><?php _e( 'Team Roster', 'leaguemanager' ) ?></h4>
				<?php the_team_roster(); ?>
			</div>
			<?php endif; ?>
			
			<?php if ( has_profile() ) : ?>
			<div id="profile-<?php the_team_id(); ?>" class="tab">
				<h4 class="header"><?php _e( 'Team Profile', 'leaguemanager' ) ?></h4>
				<?php the_team_profile(); ?>
			</div>
			<?php endif; ?>
		</div>
		<?php endif; ?>
	</div>
</div>